import events.Christmas.Christmas;
import events.TheFallHarvest.TheFallHarvest;
import events.arena.DionArena;
import events.arena.GiranArena;
import events.arena.GludinArena;
import events.bountyhunters.HuntersGuild;
import events.glitmedal.glitmedal;
import events.l2day.l2day;
import events.lastHero.LastHero;
import events.tournament.Tournament_battle;
import l2r.extensions.scripts.ScriptFile;
import l2r.gameserver.handler.IScriptHandler;
import l2r.gameserver.handler.ScriptHandler;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.L2Player;
import l2r.util.Location;

public abstract class Hooks implements IScriptHandler, ScriptFile
{
	public void onDie(L2Character self, L2Character killer)
	{
		DionArena.getInstance().onDie(self, killer);
		GludinArena.getInstance().onDie(self, killer);
		GiranArena.getInstance().onDie(self, killer);
		LastHero.onDie(self, killer);
		Tournament_battle.onDie(self, killer);
		TheFallHarvest.onDie(self, killer);
		l2day.onDie(self, killer);
		glitmedal.onDie(self, killer);
		Christmas.onDie(self, killer);
		HuntersGuild.onDie(self, killer);
	}

	public Location onEscape(L2Player player)
	{
		Location loc;
		loc = DionArena.getInstance().onEscape(player);
		if(loc != null)
			return loc;
		loc = GludinArena.getInstance().onEscape(player);
		if(loc != null)
			return loc;
		loc = GiranArena.getInstance().onEscape(player);
		if(loc != null)
			return loc;
		loc = Tournament_battle.onEscape(player);
		if(loc != null)
			return loc;
		return null;
	}

	public void onLoad()
	{
		ScriptHandler.getInstance().registerScriptHandler(this);
	}

	public void onReload()
	{}

	public void onShutdown()
	{}
}