package ai;

import l2r.extensions.scripts.Functions;
import l2r.gameserver.ai.Ranger;
import l2r.gameserver.model.L2Character;
import l2r.util.Rnd;

public class DeluLizardmanSpecialCommander extends Ranger 
{
	private boolean _firstTimeAttacked = true;

	public DeluLizardmanSpecialCommander(L2Character actor) 
	{
		super(actor);
	}

	@Override
	protected void onEvtAttacked(L2Character attacker, int damage) 
	{
		if(_firstTimeAttacked) 
		{
			_firstTimeAttacked = false;
			if(Rnd.get(60) < 40) 
				Functions.npcShout(_thisActor, "Come on, Ill take you on!");
		} 
		else if(Rnd.get(30) < 10) 
			Functions.npcShout(_thisActor, "How dare you interrupt a sacred duel! You must be taught a lesson!");
		super.onEvtAttacked(attacker, damage);
	}

	@Override
	protected void onEvtDead()
	{
		_firstTimeAttacked = true;
		super.onEvtDead();
	}
}