package ai;

import l2r.gameserver.ai.Fighter;
import l2r.gameserver.geodata.network.geoclient.GeoClient;
import l2r.gameserver.model.L2Character;
import l2r.util.Location;
import l2r.util.Rnd;

public class Elpy extends Fighter
{
	public Elpy(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected void onEvtAttacked(L2Character attacker, int damage)
	{
		if(attacker != null && Rnd.chance(50))
		{
			int posX = _thisActor.getX();
			int posY = _thisActor.getY();
			int posZ = _thisActor.getZ();

			int signx = -1;
			int signy = -1;

			if(posX > attacker.getX())
				signx = 1;
			if(posX > attacker.getY())
				signy = 1;

			int range = 200;

			posX += Math.round(signx * range);
			posY += Math.round(signy * range);
			posZ = GeoClient.getInstance().getHeight(posX, posY, posZ);

			if(GeoClient.getInstance().canMoveToCoord(attacker.getX(), attacker.getY(), attacker.getZ(), posX, posY, posZ))
			{
				Task task = new Task();
				task.type = TaskType.MOVE;
				task.loc = new Location(posX, posY, posZ);
				_task_list.add(task);
				_def_think = true;
			}
		}
	}

	@Override
	public void checkAggression(L2Character target)
	{}

	@Override
	protected void onEvtAggression(L2Character target, int aggro)
	{}
}