package ai;

import l2r.extensions.scripts.Functions;
import l2r.gameserver.ai.DefaultAI;
import l2r.gameserver.model.L2Character;
import l2r.util.Rnd;

public class GuardianAngel extends DefaultAI
{
	public GuardianAngel(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected boolean thinkActive()
	{
		// Пока дерется, будет кричать. Вызов раз в секунду, так что не зафлудит :)
		if(Rnd.nextBoolean())
			Functions.npcShout(_thisActor, "Waaaah! Step back from the confounded box! I will take it myself!");
		else
			Functions.npcShout(_thisActor, "Grr! Who are you and why have you stopped my?");

		return super.thinkActive();
	}

	@Override
	protected void onEvtDead()
	{
		Functions.npcShout(_thisActor, "Grr. I've been hit...");
		super.onEvtDead();
	}
}