package ai;

import l2r.extensions.scripts.Functions;
import l2r.gameserver.ai.Ranger;
import l2r.gameserver.model.L2Character;
import l2r.util.Rnd;

/**
 * AI для Karul Bugbear ID: 20600
 *
 * @author Diamond
 */
public class KarulBugbear extends Ranger
{
	private boolean _firstTimeAttacked = true;

	public KarulBugbear(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected void onEvtAttacked(L2Character attacker, int damage)
	{
		if(_firstTimeAttacked)
		{
			_firstTimeAttacked = false;
			if(Rnd.chance(25))
				Functions.npcShout(_thisActor, "Your rear is practically unguarded!");
		}
		else if(Rnd.chance(10))
			Functions.npcShout(_thisActor, "Watch your back!");
		super.onEvtAttacked(attacker, damage);
	}

	@Override
	protected void onEvtDead()
	{
		_firstTimeAttacked = true;
		super.onEvtDead();
	}
}