package l2r.extensions.listeners;

import l2r.extensions.listeners.events.MethodEvent;
import l2r.gameserver.model.L2Character;

/**
 * User: Death
 * Date: 23 груд 2007
 * Time: 20:37:10
 */
public abstract class OnDecayListener implements MethodInvokeListener
{
	public final void methodInvoked(MethodEvent e)
	{
		onDecay((L2Character) e.getOwner());
	}

	/**
	 * Простенький фильтр. Фильтрирует по названии метода и аргументам.
	 * Ничто не мешает переделать при нужде :)
	 *
	 * @param event событие с аргументами
	 *
	 * @return true если все ок ;)
	 */
	public final boolean accept(MethodEvent event)
	{
		return event.getMethodName().equals(MethodCollection.onDecay);
	}

	public abstract void onDecay(L2Character cha);
}
