package l2r.extensions.listeners;

import l2r.extensions.listeners.events.MethodEvent;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.L2Skill;

/**
 * User: Death
 * Date: 19 груд 2007
 * Time: 18:46:34
 */
public abstract class StartCastListener implements MethodInvokeListener, MethodCollection
{
	public final void methodInvoked(MethodEvent e)
	{
		Object[] args = e.getArgs();
		onCastStart((L2Skill) args[0], (L2Character) args[1], (Boolean) args[2]);
	}

	public final boolean accept(MethodEvent event)
	{
		return event.getMethodName().equals(onStartCast);
	}

	public abstract void onCastStart(L2Skill skill, L2Character target, boolean forceUse);
}
