package l2r.extensions.listeners.events;

/**
 * @author Death
 */
public class DefaultMethodInvokeEvent implements MethodEvent
{
	private final Object owner;
	private final Object[] args;
	private final String methodName;

	public DefaultMethodInvokeEvent(String methodName, Object owner, Object[] args)
	{
		this.methodName = methodName;
		this.owner = owner;
		this.args = args;
	}

	public Object getOwner()
	{
		return owner;
	}

	public Object[] getArgs()
	{
		return args;
	}

	public String getMethodName()
	{
		return methodName;
	}
}
