package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.tables.GmListTable;
import l2r.util.Log;

public class RequestGmList extends L2GameClientPacket
{
	private static String _C__8B_REQUESTGMLIST = "[C] 8B RequestGmList";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar != null)
		{
			GmListTable.sendListToPlayer(activeChar);
			Log.LogCommand(activeChar, 2, _C__8B_REQUESTGMLIST, 1);
		}
	}

	@Override
	public String getType()
	{
		return _C__8B_REQUESTGMLIST;
	}
}
