package l2r.gameserver.clientpackets;

import l2r.extensions.multilang.CustomMessage;
import l2r.gameserver.model.L2Player;

/**
 * This class ...
 *
 * @version $Revision: 1.3.4.2 $ $Date: 2005/03/27 15:29:30 $
 */
public class RequestOustPartyMember extends L2GameClientPacket
{

	private static String _C__45_REQUESTOUSTPARTYMEMBER = "[C] 45 RequestOustPartyMember";
	//Format: cS
	//private static Logger _log = Logger.getLogger(RequestJoinParty.class.getName());

	private String _name;

	@Override
	public void readImpl()
	{
		_name = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		if(activeChar.isInParty() && activeChar.getParty().isLeader(activeChar))
			if(activeChar.getParty().isInDimensionalRift() && !activeChar.getParty().getDimensionalRift().getRevivedAtWaitingRoom().contains(activeChar))
				activeChar.sendMessage(new CustomMessage("l2r.gameserver.clientpackets.RequestOustPartyMember.CantOustInRift", activeChar));
			else
				activeChar.getParty().oustPartyMember(_name);
	}

	@Override
	public String getType()
	{
		return _C__45_REQUESTOUSTPARTYMEMBER;
	}
}