package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.PartyRoomInfo;

public class RequestPartyMatchDetail extends L2GameClientPacket
{
	private static String _C__71_REQUESTPARTYMATCHDETAIL = "[C] 71 RequestPartyMatchDetail";
	//private static Logger _log = Logger.getLogger(RequestPartyMatchDetail.class.getName());

	private int _objectId;

	@SuppressWarnings("unused")
	private int _unk1;
	/**
	 * packet type id 0x71
	 *
	 * sample
	 *
	 * 71
	 * d8 a8 10 41  object id
	 *
	 * format:		cd
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_objectId = readD();
		_unk1 = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player player = (L2Player) getClient().getActiveChar().getVisibleObject(_objectId);
		if(player == null)
			return;
		sendPacket(new PartyRoomInfo(player));
	}

	@Override
	public String getType()
	{
		return _C__71_REQUESTPARTYMATCHDETAIL;
	}
}