package l2r.gameserver.clientpackets;

import l2r.gameserver.serverpackets.RecipeItemMakeInfo;

public class RequestRecipeItemMakeInfo extends L2GameClientPacket
{
	private static String _C__B7_REQUESTRECIPEITEMMAKEINFO = "[C] B7 RequestRecipeItemMakeInfo";
	private int _id;

	/**
	 * packet type id 0xB7
	 * format:		cd
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_id = readD();
	}

	@Override
	public void runImpl()
	{
		sendPacket(new RecipeItemMakeInfo(_id, getClient().getActiveChar(), 0xffffffff));
	}

	@Override
	public String getType()
	{
		return _C__B7_REQUESTRECIPEITEMMAKEINFO;
	}
}