package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;

public class RequestRecipeShopManageQuit extends L2GameClientPacket
{
	private static String _C__BC_RequestRecipeShopManageQuit = "[C] BC RequestRecipeShopManageQuit";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		if(activeChar.getDuel() != null)
		{
			activeChar.sendActionFailed();
			return;
		}

		activeChar.setPrivateStoreType(L2Player.STORE_PRIVATE_NONE);
		activeChar.broadcastUserInfo();
		activeChar.standUp();
	}

	@Override
	public String getType()
	{
		return _C__BC_RequestRecipeShopManageQuit;
	}
}