package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.network.L2GameClient;
import l2r.gameserver.serverpackets.SkillCoolTime;

/**
 * @author: Death
 * @date: 16/2/2007
 * @time: 21:16:06
 */
public class RequestSkillCoolTime extends L2GameClientPacket
{
	private String _C__A6_REQUESTSKILLCOOLTIME = "[C] A6 RequestSkillCoolTime";
	L2GameClient _client;

	@Override
	public void readImpl()
	{
		_client = getClient();
	}

	@Override
	public void runImpl()
	{
		L2Player pl = _client.getActiveChar();
		if(pl != null)
			pl.sendPacket(new SkillCoolTime(pl));
	}

	@Override
	public String getType()
	{
		return _C__A6_REQUESTSKILLCOOLTIME;
	}
}