package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.SkillList;

public class RequestSkillList extends L2GameClientPacket
{
	private static String _C__3F_REQUESTSKILLLIST = "[C] 3F RequestSkillList";

	//private static Logger _log = Logger.getLogger(RequestSkillList.class.getName());

	/**
	 * packet type id 0x3f
	 * format:		c
	 * @param rawPacket
	 */

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		sendPacket(new SkillList(activeChar));
	}

	@Override
	public String getType()
	{
		return _C__3F_REQUESTSKILLLIST;
	}
}