package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.L2TradeList;

public class SetPrivateStoreMsgSell extends L2GameClientPacket
{
	private static String _C__77_SETPRIVATESTOREMSGSELL = "[C] 97 SetPrivateStoreMsgSell";
	private String _storename;

	@Override
	public void readImpl()
	{
		_storename = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		L2TradeList tradeList = activeChar.getTradeList();
		if(tradeList != null)
			tradeList.setSellStoreName(_storename);
	}

	@Override
	public String getType()
	{
		return _C__77_SETPRIVATESTOREMSGSELL;
	}
}