package l2r.gameserver.model.instances;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.NpcHtmlMessage;
import l2r.gameserver.templates.L2NpcTemplate;

public class L2SiegeFortNpcInstance extends L2NpcInstance
{
	public L2SiegeFortNpcInstance(int objectID, L2NpcTemplate template)
	{
		super(objectID, template);
	}

	/**
	 * If siege is in progress shows the Busy HTML<BR>
	 * else Shows the SiegeInfo window
	 * @param player
	 */
	@Override
	public void showChatWindow(L2Player player, int val)
	{
		if(!getFortress().getSiege().isInProgress())
			getFortress().getSiege().listRegisterClan(player);
		else
		{
			NpcHtmlMessage html = new NpcHtmlMessage(_objectId);
			html.setHtml("<html><body><font color=\"LEVEL\">Oh! Our castle is being attacked and I can't do anything for you right now.</font></body></html>");
			player.sendPacket(html);
		}
	}
}