package l2r.gameserver.serverpackets;

public class AllianceCrest extends L2GameServerPacket
{
	private static final String _S__ae_ALLYCREST = "[S] ae AllianceCrest";
	private int _crestId;
	private byte[] _data;

	public AllianceCrest(int crestId, byte[] data)
	{
		_crestId = crestId;
		_data = data;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xae);
		writeD(_crestId);
		writeD(_data.length);
		writeB(_data);
	}

	@Override
	public String getType()
	{
		return _S__ae_ALLYCREST;
	}
}