package l2r.gameserver.serverpackets;

/**
 *
 * sample
 * <p>
 * 7d
 * c1 b2 e0 4a
 * 00 00 00 00
 * <p>
 *
 * format
 * cdd
 *
 * @version $Revision: 1.1.2.1.2.3 $ $Date: 2005/03/27 15:29:57 $
 */
public class AskJoinAlliance extends L2GameServerPacket
{
	private static final String _S__bb_ASKJOINALLY = "[S] bb AskJoinAlly";
	//private static Logger _log = Logger.getLogger(AskJoinAlly.class.getName());

	private String _requestorName;
	private String _requestorAllyName;
	private int _requestorId;

	public AskJoinAlliance(int requestorId, String requestorName, String requestorAllyName)
	{
		_requestorName = requestorName;
		_requestorAllyName = requestorAllyName;
		_requestorId = requestorId;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xa8);
		writeD(_requestorId);
		writeS(_requestorName);
		writeS("");
		writeS(_requestorAllyName);
	}

	@Override
	public String getType()
	{
		return _S__bb_ASKJOINALLY;
	}
}