package l2r.gameserver.serverpackets;

/**
 * format  d   rev 417
 *
 * @version $Revision: 1.3.2.1.2.3 $ $Date: 2005/03/27 15:29:39 $
 */
public class AuthLoginFail extends L2GameServerPacket
{
	private static final String _S__14_AUTHLOGINFAIL = "[S] 14 AuthLoginFail";
	public static int NO_TEXT = 0;
	public static int SYSTEM_ERROR_LOGIN_LATER = 1;
	public static int PASSWORD_DOES_NOT_MATCH_THIS_ACCOUNT = 2;
	public static int PASSWORD_DOES_NOT_MATCH_THIS_ACCOUNT2 = 3;
	public static int ACCESS_FAILED_TRY_LATER = 4;
	public static int INCORRECT_ACCOUNT_INFO_CONTACT_CUSTOMER_SUPPORT = 5;
	public static int ACCESS_FAILED_TRY_LATER2 = 6;
	public static int ACOUNT_ALREADY_IN_USE = 7;
	public static int ACCESS_FAILED_TRY_LATER3 = 8;
	public static int ACCESS_FAILED_TRY_LATER4 = 9;
	public static int ACCESS_FAILED_TRY_LATER5 = 10;

	private int _reason;

	/**
	 * @param _characters
	 */
	public AuthLoginFail(int reason)
	{
		_reason = reason;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x14);
		writeD(_reason);
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__14_AUTHLOGINFAIL;
	}
}
