package l2r.gameserver.serverpackets;

import l2r.gameserver.GameTimeController;
import l2r.gameserver.model.L2Player;

public class CharSelected extends L2GameServerPacket
{
	//   SdSddddddddddffddddddddddddddddddddddddddddddddddddddddd d
	private static final String _S__15_CHARSELECTED = "[S] 15 CharSelected";
	private L2Player _cha;
	private int _sessionId;

	/**
	 * @param _characters
	 */
	public CharSelected(final L2Player cha, final int sessionId)
	{
		_cha = cha;
		_sessionId = sessionId;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x15);

		writeS(_cha.getName());
		writeD(_cha.getCharId()); // ??
		writeS(_cha.getTitle());
		writeD(_sessionId);
		writeD(_cha.getClanId());
		writeD(0x00); //??
		writeD(_cha.getSex());
		writeD(_cha.getRace().ordinal());
		writeD(_cha.getClassId().getId());
		writeD(0x01); // active ??
		writeD(_cha.getX());
		writeD(_cha.getY());
		writeD(_cha.getZ());

		writeF(_cha.getCurrentHp());
		writeF(_cha.getCurrentMp());
		writeD(_cha.getSp());
		writeQ(_cha.getExp());
		writeD(_cha.getLevel());
		writeD(_cha.getKarma()); //?
		writeD(0x0); //?
		writeD(_cha.getINT());
		writeD(_cha.getSTR());
		writeD(_cha.getCON());
		writeD(_cha.getMEN());
		writeD(_cha.getDEX());
		writeD(_cha.getWIT());
		for(int i = 0; i < 30; i++)
			writeD(0x00);

		writeD(0x00); //c3  work
		writeD(0x00); //c3  work
		// extra info
		writeD(GameTimeController.getInstance().getGameTime()); // in-game time 
		writeD(0x00); //  
		writeD(0x00); //c3 
		writeD(0x00); //c3 InspectorBin
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 InspectorBin for 528 client
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 
		writeD(0x00); //c3 

		writeD(0x00); //c5 
		writeD(0x00); //c5 
		writeD(0x00); //c5 
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__15_CHARSELECTED;
	}

}
