package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Character;

/**
 *
 * format  dd
 *
 * @version $Revision: 1.3.2.1.2.3 $ $Date: 2005/03/27 15:29:57 $ 
 */
public class FinishRotation extends L2GameServerPacket
{
	private static final String _S__63_FINISHROTATION = "[S] 63 FinishRotation";
	private int _charId;
	private int _degree;

	public FinishRotation(L2Character player, int degree)
	{
		_charId = player.getObjectId();
		_degree = degree;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x63);
		writeD(_charId);
		writeD(_degree);
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__63_FINISHROTATION;
	}
}
