package l2r.gameserver.serverpackets;

/**
 *
 * sample
 * <p>
 * 4c
 * 01 00 00 00
 * <p>
 *
 * format
 * cd
 */
public class JoinParty extends L2GameServerPacket
{
	private static final String _S__3A_JOINPARTY = "[S] 3A JoinParty";

	private int _response;

	public JoinParty(int response)
	{
		_response = response;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x3A);
		writeD(_response);
	}

	@Override
	public String getType()
	{
		return _S__3A_JOINPARTY;
	}
}