package l2r.gameserver.serverpackets;

public class JoinPledge extends L2GameServerPacket
{
	private static final String _S__2d_JOINPLEDGE = "[S] 2d JoinPledge";

	private int _pledgeId;

	public JoinPledge(int pledgeId)
	{
		_pledgeId = pledgeId;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x33);

		writeD(_pledgeId);
	}

	@Override
	public String getType()
	{
		return _S__2d_JOINPLEDGE;
	}
}