package l2r.gameserver.serverpackets;

public class KeyPacket extends L2GameServerPacket
{
	private static final String _S__2e_KEYPACKET = "[S] 2e KeyPacket";

	private byte[] _key;

	public KeyPacket(byte[] key)
	{
		_key = key;
	}

	@Override
	public void writeImpl()
	{
		writeC(0x00);
		writeC(0x01);
		writeB(_key);
		writeD(0x01);
	}

	@Override
	public String getType()
	{
		return _S__2e_KEYPACKET;
	}
}