package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Player;

public class PrivateStoreMsgSell extends L2GameServerPacket
{
	private static final String _S__A2_PRIVATESTOREMSGSELL = "[S] A2 PrivateStoreMsgSell";
	private int char_obj_id;
	private String store_name;

	/**
	 * Название личного магазина продажи
	 * @param player
	 */
	public PrivateStoreMsgSell(L2Player player)
	{
		char_obj_id = player.getObjectId();
		store_name = player.getTradeList() == null ? "" : player.getTradeList().getSellStoreName();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x9C);
		writeD(char_obj_id);
		writeS(store_name);
	}

	@Override
	public String getType()
	{
		return _S__A2_PRIVATESTOREMSGSELL;
	}
}