package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Player;

public class Say2 extends L2GameServerPacket
{
	private static final String _S__4A_SAY2 = "[S] 4A Say2";
	private int _objectId, _textType;
	private String _charName, _text;

	public Say2(int objectId, int messageType, String charName, String text)
	{
		_objectId = objectId;
		_textType = messageType;
		_charName = charName;
		_text = text;
	}

	@Override
	final public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		activeChar.broadcastSnoop(_textType, _charName, _text);
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x4A);
		writeD(_objectId);
		writeD(_textType);
		writeS(_charName);
		writeS(_text);
	}

	@Override
	public String getType()
	{
		return _S__4A_SAY2;
	}
}