package l2r.gameserver.serverpackets;

public class SocialAction extends L2GameServerPacket
{
	private static final String _S__27_SOCIALACTION = "[S] 27 SocialAction";
	private int _playerId;
	private int _actionId;

	/**
	 * 0x27 SocialAction         dd
	 */
	public SocialAction(int playerId, int actionId)
	{
		_playerId = playerId;
		_actionId = actionId;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x2D);
		writeD(_playerId);
		writeD(_actionId);
	}

	@Override
	public String getType()
	{
		return _S__27_SOCIALACTION;
	}
}