package l2r.gameserver.serverpackets;

public class StopAllianceWar extends L2GameServerPacket
{
	private static final String _S__c4_STOPALLIANCEWAR = "[S] c4 StopAllianceWar";
	private String _allianceName;
	private String _char;

	public StopAllianceWar(String alliance, String charName)
	{
		_allianceName = alliance;
		_char = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xBF);
		writeS(_allianceName);
		writeS(_char);
	}

	@Override
	public String getType()
	{
		return _S__c4_STOPALLIANCEWAR;
	}
}