package l2r.gameserver.serverpackets;

public class StopPledgeWar extends L2GameServerPacket
{
	private static final String _S__65_STOPPLEDGEWAR = "[S] 65 StopPledgeWar";
	private String _pledgeName;
	private String _char;

	public StopPledgeWar(String pledge, String charName)
	{
		_pledgeName = pledge;
		_char = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x67);
		writeS(_pledgeName);
		writeS(_char);
	}

	@Override
	public String getType()
	{
		return _S__65_STOPPLEDGEWAR;
	}
}