package l2r.gameserver.serverpackets;

public class SurrenderPledgeWar extends L2GameServerPacket
{
	private static final String _S__67_SURRENDERPLEDGEWAR = "[S] 67 SurrenderPledgeWar";
	private String _pledgeName;
	private String _char;

	public SurrenderPledgeWar(String pledge, String charName)
	{
		_pledgeName = pledge;
		_char = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x69);
		writeS(_pledgeName);
		writeS(_char);
	}

	@Override
	public String getType()
	{
		return _S__67_SURRENDERPLEDGEWAR;
	}
}