package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Character;
import l2r.util.Location;

public class ValidateLocationInVehicle extends L2GameServerPacket
{
	private static final String _S__80_ValidateLocationInVehicle = "[S] 80 ValidateLocationInVehicle";
	private int _charObjId;
	private Location _loc;

	/**
	 * 0x73 ValidateLocationInVehicle         hdd
	 */
	public ValidateLocationInVehicle(L2Character player)
	{
		_charObjId = player.getObjectId();
		_loc = player.getLoc();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x73);
		writeD(_charObjId);
		writeD(1343225858); //TODO verify vehicle object id ??
		writeD(_loc.getX());
		writeD(_loc.getY());
		writeD(_loc.getZ());
		writeD(_loc.h);
	}

	@Override
	public String getType()
	{
		return _S__80_ValidateLocationInVehicle;
	}
}