package l2r.gameserver.skills.conditions;

import l2r.gameserver.skills.Env;
import l2r.util.Rnd;

public class ConditionGameChance extends Condition
{
	private final int _chance;

	ConditionGameChance(int chance)
	{
		_chance = chance;
	}

	@Override
	public boolean testImpl(Env env)
	{
		return Rnd.chance(_chance);
	}
}
