package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

public class EffectBigHead extends L2Effect
{
	public EffectBigHead(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return L2Effect.EffectType.BIG_HEAD;
	}

	@Override
	public void onStart()
	{
		_effected.setBigHead(true);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}

	@Override
	public void onExit()
	{
		_effected.setBigHead(false);
	}
}