package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

final class EffectBuff extends L2Effect
{
	public EffectBuff(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.BUFF;
	}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}
}
