package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

final class EffectBuffImmunity extends L2Effect
{

	public EffectBuffImmunity(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.BUFFIMMUNITY;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		getEffected().setBuffImmunity(true);
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		getEffected().setBuffImmunity(false);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}