package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

class EffectManaHealOverTime extends L2Effect
{
	public EffectManaHealOverTime(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.MANA_HEAL_OVER_TIME;
	}

	@Override
	public boolean onActionTime()
	{
		if(_effected.isDead())
			return false;

		_effected.setCurrentMp(_effected.getCurrentMp() + calc());
		return true;
	}
}
