package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

public class EffectMuteAll extends L2Effect
{
	public EffectMuteAll(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	/** returns effect type */
	@Override
	public EffectType getEffectType()
	{
		return EffectType.MUTE_ALL;
	}

	@Override
	public void onStart()
	{
		_effected.startMuted();
		_effected.startPMuted();
	}

	@Override
	public void onExit()
	{
		_effected.stopMuted();
		_effected.stopPMuted();
	}

	/** Return true for continuation of this effect */
	@Override
	public boolean onActionTime()
	{
		return false;
	}
}