package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

public class EffectMutePhisycal extends L2Effect
{
	public EffectMutePhisycal(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	/** returns effect type */
	@Override
	public EffectType getEffectType()
	{
		return EffectType.MUTE_PHYSICAL;
	}

	@Override
	public void onStart()
	{
		_effected.startPMuted();
	}

	@Override
	public void onExit()
	{
		_effected.stopPMuted();
	}

	/** Return true for continueation of this effect */
	@Override
	public boolean onActionTime()
	{
		return false;
	}
}