package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

final class EffectStun extends L2Effect
{
	public EffectStun(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.STUN;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		_effected.startStunning();
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		_effected.stopStunning();
	}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}
}
