package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.model.instances.L2NpcInstance;
import l2r.gameserver.skills.Env;

public class EffectUnAggro extends L2Effect
{
	public EffectUnAggro(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.UNAGGRO;
	}

	@Override
	public void onStart()
	{
		if(_effected instanceof L2NpcInstance)
			((L2NpcInstance) _effected).setUnAggred(true);
	}

	@Override
	public void onExit()
	{
		if(_effected instanceof L2NpcInstance)
			((L2NpcInstance) _effected).setUnAggred(false);
	}

	@Override
	public boolean onActionTime()
	{
		return false;
	}
}
