if [ -f mysql_pass.sh ]; then
        . mysql_pass.sh
else
        . mysql_pass.sh.default
fi

mysqldump --ignore-table=${DBNAME}.game_log --ignore-table=${DBNAME}.loginserv_log --ignore-table=${DBNAME}.petitions --add-drop-table -h $DBHOST -u $USER --password=$PASS $DBNAME > l2jdb_full_backup.sql

for tab in \
		install/castle.sql \
		install/siege_doorupgrade.sql \
		install/siege_guards.sql \
		install/character_friends.sql \
		install/character_blocklist.sql \
		install/character_hennas.sql \
		install/character_macroses.sql \
		install/character_quests.sql \
		install/character_recipebook.sql \
		install/character_shortcuts.sql \
		install/character_skills.sql \
		install/character_effects_save.sql \
		install/character_skills_save.sql \
		install/character_subclasses.sql \
		install/characters.sql \
		install/character_variables.sql \
		install/clan_data.sql \
		install/chs_clans.sql \
		install/ch_sieges.sql \
		install/cursed_weapons.sql \
		install/ally_data.sql \
		install/clan_wars.sql \
		install/clan_privs.sql \
		install/clan_skills.sql \
		install/clan_subpledges.sql \
		install/items.sql \
		install/augmentations.sql \
		install/items_delayed.sql \
		install/pets.sql \
		install/server_variables.sql \
		install/seven_signs.sql \
		install/seven_signs_festival.sql \
		install/siege_clans.sql \
		install/killcount.sql \
		install/dropcount.sql \
		install/craftcount.sql \
		install/game_log.sql \
		install/petitions.sql \
		install/seven_signs_status.sql \
		install/global_tasks.sql \
		install/raidboss_points.sql \
		install/raidboss_status.sql \
		install/forts.sql \
		install/forums.sql \
		install/posts.sql \
		install/topic.sql \
		install/manor_crop.sql \
		install/manor_seeds.sql \
		install/kill_status.sql \
		install/bans.sql \
		install/bonus.sql \
		install/auction.sql \
		install/auction_bid.sql \
		install/clanhall.sql \
		install/clanhall_functions.sql \
		install/couples.sql \
		install/olympiad_nobles.sql \
		install/castle_manor_procure.sql \
		install/castle_manor_production.sql \
		install/tournament_table.sql \
		install/tournament_teams.sql \
		install/tournament_variables.sql \
        ; do
                echo Loading $tab ...
                mysql -h $DBHOST -u $USER --password=$PASS -D $DBNAME < $tab
done
./upgrade.sh
