CREATE TABLE IF NOT EXISTS characters (
  `account_name` VARCHAR(45) NOT NULL DEFAULT '',
  `obj_Id`  INT UNSIGNED NOT NULL DEFAULT 0,
  `char_name` VARCHAR(35) NOT NULL DEFAULT '',
  `face` TINYINT UNSIGNED DEFAULT NULL,
  `hairStyle` TINYINT UNSIGNED DEFAULT NULL,
  `hairColor` TINYINT UNSIGNED DEFAULT NULL,
  `sex` BOOLEAN DEFAULT NULL,
  `heading` MEDIUMINT(6) DEFAULT NULL,
  `x` MEDIUMINT(7) DEFAULT NULL,
  `y` MEDIUMINT(7) DEFAULT NULL,
  `z` MEDIUMINT(7) DEFAULT NULL,
  `karma` INT DEFAULT NULL,
  `pvpkills` INT DEFAULT NULL,
  `pkkills` INT DEFAULT NULL,
  `clanid` INT DEFAULT NULL,
  `deletetime` INT UNSIGNED NOT NULL DEFAULT 0,
  `title` VARCHAR(16) DEFAULT NULL,
  `rec_have` SMALLINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `rec_left` SMALLINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `accesslevel` SMALLINT(4) DEFAULT NULL,
  `online` BOOLEAN DEFAULT NULL,
  `onlinetime` INT UNSIGNED NOT NULL DEFAULT '0',
  `lastAccess` INT UNSIGNED NOT NULL DEFAULT 0,
  `clan_privs` INT DEFAULT 0,
  `wantspeace` INT DEFAULT 0,
  `leaveclan`  INT UNSIGNED NOT NULL DEFAULT 0,
  `deleteclan` INT UNSIGNED NOT NULL DEFAULT 0,
  `nochannel` INT NOT NULL DEFAULT 0, -- not UNSIGNED, negative value means 'forever'
  `noble` decimal(2,0) NOT NULL DEFAULT 0,
  `ketra` decimal(5,0) NOT NULL DEFAULT 0,
  `varka` decimal(5,0) NOT NULL DEFAULT 0,
  `ram` decimal(5,0) NOT NULL DEFAULT 0,
  `pledge_type` SMALLINT NOT NULL DEFAULT '0',
  `pledge_rank` TINYINT UNSIGNED NOT NULL DEFAULT '0',
  `lvl_joined_academy` TINYINT UNSIGNED NOT NULL DEFAULT '0',
  `apprentice` INT UNSIGNED NOT NULL DEFAULT 0,
  `key_bindings` varbinary(8192) default NULL,
  `pcBangPoints` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (obj_Id),
  UNIQUE KEY `char_name` (`char_name`),
  KEY `clanid` (`clanid`)
) TYPE=MyISAM;
