ALTER TABLE `character_quests` CHANGE `char_id` `char_id` INT(10) UNSIGNED NOT NULL;
FLUSH TABLE `character_quests`;
OPTIMIZE TABLE `character_quests`;
------------------------------------------------------------------------------------------------
ALTER TABLE `character_recipebook` CHANGE `char_id` `char_id` INT(10) UNSIGNED NOT NULL;
ALTER TABLE `character_recipebook` CHANGE `id` `id` INT(10) UNSIGNED NOT NULL;
FLUSH TABLE `character_recipebook`;
OPTIMIZE TABLE `character_recipebook`;
------------------------------------------------------------------------------------------------
ALTER TABLE `character_shortcuts` CHANGE `char_obj_id` `char_obj_id` INT(10) UNSIGNED NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `shortcut_id` `shortcut_id` DECIMAL NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `slot` `slot` TINYINT(2) NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `page` `page` TINYINT(2) NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `type` `type` TINYINT(2) NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `level` `level` TINYINT(2) NOT NULL;
ALTER TABLE `character_shortcuts` CHANGE `unknown` `unknown` TINYINT(2) NOT NULL;
FLUSH TABLE `character_shortcuts`;
OPTIMIZE TABLE `character_shortcuts`;
------------------------------------------------------------------------------------------------
ALTER TABLE `character_skills` CHANGE `char_obj_id` `char_obj_id` INT(10) UNSIGNED NOT NULL;
ALTER TABLE `character_skills` CHANGE `skill_id` `skill_id` SMALLINT(4) UNSIGNED NOT NULL;
ALTER TABLE `character_skills` CHANGE `skill_level` `skill_level` TINYINT(2) NOT NULL;
ALTER TABLE `character_skills` CHANGE `skill_name` `skill_name` VARCHAR(60) NOT NULL;
FLUSH TABLE `character_skills`;
OPTIMIZE TABLE `character_skills`;
------------------------------------------------------------------------------------------------
ALTER TABLE `character_skills_save` CHANGE `char_obj_id` `char_obj_id` INT(10) UNSIGNED NOT NULL;
ALTER TABLE `character_skills_save` CHANGE `skill_id` `skill_id` SMALLINT(4) UNSIGNED NOT NULL;
ALTER TABLE `character_skills_save` CHANGE `skill_level` `skill_level` TINYINT(2) NOT NULL;
ALTER TABLE `character_skills_save` CHANGE `effect_cur_time` `effect_cur_time` SMALLINT(5) UNSIGNED NOT NULL;
FLUSH TABLE `character_skills_save`;
OPTIMIZE TABLE `character_skills_save`;
------------------------------------------------------------------------------------------------
ALTER TABLE `spawnlist` CHANGE `id` `id` INT(10) UNSIGNED NOT NULL;
ALTER TABLE `spawnlist` CHANGE `count` `count` SMALLINT(2) UNSIGNED NOT NULL;
ALTER TABLE `spawnlist` CHANGE `npc_templateid` `npc_templateid` SMALLINT(5) UNSIGNED NOT NULL;
ALTER TABLE `spawnlist` CHANGE `locx` `locx` MEDIUMINT(7) NOT NULL;
ALTER TABLE `spawnlist` CHANGE `locy` `locy` MEDIUMINT(7) NOT NULL;
ALTER TABLE `spawnlist` CHANGE `locz` `locz` SMALLINT(6) NOT NULL;
ALTER TABLE `spawnlist` CHANGE `heading` `heading` MEDIUMINT(6) NOT NULL;
ALTER TABLE `spawnlist` CHANGE `loc_id` `loc_id` SMALLINT(6) UNSIGNED NOT NULL;
FLUSH TABLE `spawnlist`;
OPTIMIZE TABLE `spawnlist`;
------------------------------------------------------------------------------------------------
ALTER TABLE `accounts` CHANGE `password` `password` CHAR(28) NOT NULL;
ALTER TABLE `accounts` CHANGE `access_level` `access_level` SMALLINT(4) NOT NULL;
ALTER TABLE `accounts` CHANGE `lastIP` `lastIP` VARCHAR(15) NOT NULL;
FLUSH TABLE `accounts`;
OPTIMIZE TABLE `accounts`;
------------------------------------------------------------------------------------------------
ALTER TABLE `items` CHANGE `owner_id` `owner_id` INT(10) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `object_id` `object_id` INT(10) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `item_id` `item_id` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `count` `count` INT(11) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `enchant_level` `enchant_level` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `loc` `loc` ENUM( 'CLANWH', 'CWH_BACK', 'FREIGHT', 'INVENTORY', 'LEASE', 'PAPERDOLL', 'PET', 'PET_EQUIP', 'VOID', 'WAREHOUSE' ) NULL DEFAULT NULL;
ALTER TABLE `items` CHANGE `loc_data` `loc_data` INT(11) NULL DEFAULT NULL;
ALTER TABLE `items` CHANGE `price_sell` `price_sell` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `price_buy` `price_buy` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `time_of_use` `time_of_use` MEDIUMINT(8) NULL DEFAULT NULL;
ALTER TABLE `items` CHANGE `custom_type1` `custom_type1` SMALLINT(4) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `items` CHANGE `custom_type2` `custom_type2` SMALLINT(4) UNSIGNED NOT NULL DEFAULT '0';
FLUSH TABLE `items`;
OPTIMIZE TABLE `items`;
