import l2r.extensions.scripts.Functions;
import l2r.gameserver.cache.Msg;
import l2r.gameserver.model.L2Object;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.ShowXMasSeal;
import l2r.gameserver.serverpackets.SystemMessage;
import l2r.util.Rnd;

public class ItemHandlers extends Functions
{
	public static L2Object self;

	// Newspaper
	public static void ItemHandler_19999()
	{
		show("data/html/newspaper/00000000.htm", (L2Player) self);
	}

	public static void ItemHandler_5555()
	{
		((L2Player) self).sendPacket(new ShowXMasSeal(5555));
	}

	// ------ Adventurer's Boxes ------

	// 1 Adventurer's Box: Cradle of Creation -> 1 Cradle of Creation
	public static void ItemHandler_8540()
	{
		removeItem((L2Player) self, 8540, 1);
		if(Rnd.chance(30))
			addItem((L2Player) self, 8175, 1);
	}

	// ------ Quest Items ------

	public static void ItemHandler_5916()
	{
		if(!canBeExtracted(5916))
			return;
		int[] list = new int[] { 5917, 5918, 5919, 5920, 736 };
		int[] counts = new int[] { 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5916, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5944()
	{
		if(!canBeExtracted(5944))
			return;
		int[] list = new int[] {
				5922,
				5923,
				5924,
				5925,
				5926,
				5927,
				5928,
				5929,
				5930,
				5931,
				5932,
				5933,
				5934,
				5935,
				5936,
				5937,
				5938,
				5939,
				5940,
				5941,
				5942,
				5943 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5944, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5955()
	{
		if(!canBeExtracted(5955))
			return;
		int[] list = new int[] { 5942, 5943, 5945, 5946, 5947, 5948, 5949, 5950, 5951, 5952, 5953, 5954 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5955, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5966()
	{
		if(!canBeExtracted(5966))
			return;
		int[] list = new int[] { 5970, 5971, 5977, 5978, 5979, 5986, 5993, 5994, 5995, 5997, 5983, 6001 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5966, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5967()
	{
		if(!canBeExtracted(5967))
			return;
		int[] list = new int[] { 5970, 5971, 5975, 5976, 5980, 5985, 5993, 5994, 5995, 5997, 5983, 6001 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5967, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5968()
	{
		if(!canBeExtracted(5968))
			return;
		int[] list = new int[] { 5973, 5974, 5981, 5984, 5989, 5990, 5991, 5992, 5996, 5998, 5999, 6000, 5988, 5983, 6001 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5968, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_5969()
	{
		if(!canBeExtracted(5969))
			return;
		int[] list = new int[] { 5970, 5971, 5982, 5987, 5989, 5990, 5991, 5992, 5996, 5998, 5999, 6000, 5972, 6001 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
		removeItem((L2Player) self, 5969, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_6007()
	{
		if(!canBeExtracted(6007))
			return;
		int[] list = new int[] { 6012, 6013, 6014, 6016, 6017, 6018, 6019, 6020 };
		int[] counts = new int[] { 1, 1, 1, 1, 2, 2, 2, 2 };
		removeItem((L2Player) self, 6007, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_6008()
	{
		if(!canBeExtracted(6008))
			return;
		int[] list = new int[] { 6012, 6013, 6014, 6016, 6017, 6018, 6019, 6020 };
		int[] counts = new int[] { 1, 1, 1, 1, 2, 2, 2, 2 };
		removeItem((L2Player) self, 6008, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_6009()
	{
		if(!canBeExtracted(6009))
			return;
		int[] list = new int[] { 6012, 6013, 6014, 6016, 6017, 6018, 6019, 6020 };
		int[] counts = new int[] { 1, 1, 1, 1, 2, 2, 2, 2 };
		removeItem((L2Player) self, 6009, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_6010()
	{
		if(!canBeExtracted(6010))
			return;
		int[] list = new int[] { 6012, 6013, 6014, 6016, 6017, 6018, 6019, 6020 };
		int[] counts = new int[] { 1, 1, 1, 1, 2, 2, 2, 2 };
		removeItem((L2Player) self, 6010, 1);
		extract_item(list, counts);
	}

	public static void ItemHandler_7629() // Looted Goods - White Cargo box
	{
		if(!canBeExtracted(7629))
			return;
		int[] list = new int[] { 6688, 6689, 6690, 6691, 6693, 6694, 6695, 6696, 6697, 7579, 57 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 330000 };
		int[] chances = new int[] { 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10 };
		removeItem((L2Player) self, 7629, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7630() // Looted Goods - Blue Cargo box #All chances of 8 should be 8.5, must be fixed if possible!!
	{
		if(!canBeExtracted(7630))
			return;
		int[] list = new int[] { 6703, 6704, 6705, 6706, 6708, 6709, 6710, 6712, 6713, 6714, 57 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 292000 };
		int[] chances = new int[] { 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 20 };
		removeItem((L2Player) self, 7630, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7631() // Looted Goods - Yellow Cargo box
	{
		if(!canBeExtracted(7631))
			return;
		int[] list = new int[] { 6701, 6702, 6707, 6711, 57 };
		int[] counts = new int[] { 1, 1, 1, 1, 930000 };
		int[] chances = new int[] { 20, 20, 20, 20, 20 };
		removeItem((L2Player) self, 7631, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7632() // Looted Goods - Red Filing Cabinet
	{
		if(!canBeExtracted(7632))
			return;
		int[] list = new int[] { 6857, 6859, 6861, 6863, 6867, 6869, 6871, 6875, 6877, 6879, 57 };
		int[] counts = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 340000 };
		int[] chances = new int[] { 8, 9, 8, 9, 8, 9, 8, 9, 8, 9, 15 };
		removeItem((L2Player) self, 7632, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7633() //Looted Goods - Purple Filing Cabinet
	{
		if(!canBeExtracted(7633))
			return;
		int[] list = new int[] { 6853, 6855, 6865, 6873, 57 };
		int[] counts = new int[] { 1, 1, 1, 1, 850000 };
		int[] chances = new int[] { 20, 20, 20, 20, 20 };
		removeItem((L2Player) self, 7633, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7634() //Looted Goods - Brown Pouch
	{
		if(!canBeExtracted(7634))
			return;
		int[] list = new int[] { 1874, 1875, 1876, 1877, 1879, 1880, 1881, 1882, 57 };
		int[] counts = new int[] { 20, 20, 20, 20, 20, 20, 20, 20, 150000 };
		int[] chances = new int[] { 10, 10, 16, 11, 10, 5, 10, 18, 10 };
		removeItem((L2Player) self, 7634, 1);
		extract_item_r(list, counts, chances);
	}

	public static void ItemHandler_7635() //Looted Goods - Gray Pouch
	{
		if(!canBeExtracted(7635))
			return;
		int[] list = new int[] { 4039, 4040, 4041, 4042, 4043, 4044, 57 };
		int[] counts = new int[] { 4, 4, 4, 4, 4, 4, 160000 };
		int[] chances = new int[] { 20, 10, 10, 10, 20, 20, 10 };
		removeItem((L2Player) self, 7635, 1);
		extract_item_r(list, counts, chances);
	}

	private static void extract_item(int[] list, int[] counts)
	{
		int index = Rnd.get(list.length);
		int id = list[index];
		int count = counts[index];
		addItem((L2Player) self, id, count);
	}

	private static void extract_item_r(int[] list, int[] counts, int[] chances)
	{
		int sum = 0;

		for(int i = 0; i < list.length; i++)
			sum += chances[i];

		int[] table = new int[sum];
		int k = 0;

		for(int i = 0; i < list.length; i++)
			for(int j = 0; j < chances[i]; j++)
			{
				table[k] = i;
				k++;
			}

		int i = table[Rnd.get(table.length)];
		int item = list[i];
		int count = counts[i];

		addItem((L2Player) self, item, count);
	}

	private static boolean canBeExtracted(int itemId)
	{
		L2Player player = (L2Player) self;
		if(!player.isQuestContinuationPossible())
		{
			player.sendPacket(Msg.YOUR_INVENTORY_IS_FULL);
			player.sendPacket(new SystemMessage(SystemMessage.S1_CANNOT_BE_USED_DUE_TO_UNSUITABLE_TERMS).addItemName(itemId));
			return false;
		}
		return true;
	}
}