package ai;

import l2r.gameserver.ai.Mystic;
import l2r.gameserver.instancemanager.QuestManager;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.quest.Quest;
import javolution.util.FastList;

/**
 * User: Death Date: 3 груд 2007 Time: 21:01:26
 */
public class Quest024Mystic extends Mystic
{
	private String myEvent;

	public Quest024Mystic(L2Character actor)
	{
		super(actor);
		myEvent = "playerInMobRange_" + actor.getNpcId();
	}

	@Override
	protected boolean thinkActive()
	{
		FastList<L2Player> players = getActor().getAroundPlayers(900);

		Quest q = QuestManager.getQuest(24);
		if(q != null)
			for(L2Player player : players)
				player.processQuestEvent(q.getName(), myEvent);

		FastList.recycle(players);

		return super.thinkActive();
	}
}
