package ai;

import l2r.gameserver.ai.Fighter;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.L2Skill;
import l2r.gameserver.tables.SkillTable;

public class Quest421FairyTree extends Fighter
{
	public Quest421FairyTree(L2Character actor)
	{
		super(actor);
		_actor.setImobilised(true);
	}

	@Override
	protected void onEvtAttacked(L2Character attacker, int damage)
	{
		if(attacker.isPlayer)
		{
			L2Skill skill = SkillTable.getInstance().getInfo(5423, 12);
			skill.getEffects(_actor, attacker, false);
			return;
		}
		if(attacker.isPet)
		{
			super.onEvtAttacked(attacker, damage);
			return;
		}
	}

	@Override
	protected boolean randomWalk()
	{
		return false;
	}
}