package events.Christmas;

import javolution.util.FastList;
import l2r.gameserver.ai.DefaultAI;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.L2World;
import l2r.gameserver.tables.SkillTable;

public class ctreeAI extends DefaultAI
{
	public ctreeAI(L2Character actor)
	{
		super(actor);
	}

	@Override
	protected boolean thinkActive()
	{
		int skillId = 2139;

		FastList<L2Player> players = L2World.getAroundPlayers(_actor, 200, 200);
		for(L2Player player : players)
			if(player.getEffectsBySkillId(skillId) == null)
				_thisActor.doCast(SkillTable.getInstance().getInfo(skillId, 1), player, true);
		FastList.recycle(players);

		return false;
	}

	@Override
	protected boolean randomAnimation()
	{
		return false;
	}

	@Override
	protected boolean randomWalk()
	{
		return false;
	}
}