package events.clanhall.fortressofthedead;

import java.util.Calendar;

import l2r.extensions.scripts.ScriptFile;
import l2r.gameserver.model.L2Spawn;
import l2r.gameserver.model.entity.CHSiege;
import l2r.gameserver.model.instances.L2NpcInstance;
import l2r.gameserver.tables.NpcTable;
import l2r.gameserver.tables.SpawnTable;
import l2r.gameserver.templates.L2NpcTemplate;

public class FOTDSiege extends CHSiege implements ScriptFile
{
	private void fillMonsters()
	{ //TODO прописать спаун, монстры с айди 35632 - 35637
	//addMonster(35413, 178288, -14924, -2200, 1);
	}

	@Override
	public void spawnBosses()
	{
		L2Spawn sp = null;
		try
		{
			//TODO прописать спаун боссов
			L2NpcTemplate template = NpcTable.getTemplate(35629);//Lidia von Hellmann
			sp = new L2Spawn(template);
			sp.setLocx(0);
			sp.setLocy(0);
			sp.setLocz(0);
			SpawnTable.getInstance().addNewSpawn(sp, false, null);
			addSpawn(sp);
			@SuppressWarnings("unused")
			L2NpcInstance npc = sp.doSpawn(true);
			//Functions.npcShout(npc, "Gustave's soldiers, fight! Delivers the invader to die!");
			template = NpcTable.getTemplate(35630);// Alfred von Hellmann
			sp = new L2Spawn(template);
			sp.setLocx(0);
			sp.setLocy(0);
			sp.setLocz(0);
			SpawnTable.getInstance().addNewSpawn(sp, false, null);
			addSpawn(sp);
			npc = sp.doSpawn(true);
			//Functions.npcShout(npc, "Qrants kingdom of Aden lion, honorable! Grants does not die $$ln Gustave to be honorable!");
			template = NpcTable.getTemplate(35631);//Giselle von Hellmann
			sp = new L2Spawn(template);
			sp.setLocx(0);
			sp.setLocy(0);
			sp.setLocz(0);
			SpawnTable.getInstance().addNewSpawn(sp, false, null);
			addSpawn(sp);
			npc = sp.doSpawn(true);
			//Functions.npcShout(npc, "Comes to understand! Your these foreign lands invaders! This fort forever ruler, my Gustave lifts the sword!");
		}
		catch(ClassNotFoundException e)
		{
			e.printStackTrace();
		}
	}

	@Override
	public void spawnMessenger()
	{
		L2Spawn sp = null;
		try
		{
			L2NpcTemplate template = NpcTable.getTemplate(35639);//Jacquard
			sp = new L2Spawn(template);
			sp.setLocx(58080);
			sp.setLocy(-31930);
			sp.setLocz(301);
			sp.setHeading(43134);
			sp.setSiegeId(64);
			sp.doSpawn(true);
		}
		catch(ClassNotFoundException e)
		{
			e.printStackTrace();
		}
	}

	public void load()
	{
		System.out.println("Fotress of the Dead siege loaded");
		_id = 64;
		//TODO уточнить дату проведения осады
		Calendar c = Calendar.getInstance();
		c.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
		c.set(Calendar.HOUR_OF_DAY, 12);
		c.set(Calendar.MINUTE, 0);
		c.set(Calendar.SECOND, 0);
		c.set(Calendar.MILLISECOND, 0);
		setStartDate(c);
		_doors = new int[] { 21170001, 21170002, 21170003, 21170004, 21170005, 21170006 };
		register();
		fillMonsters();
	}

	public void onLoad()
	{
	//load();
	}

	public void onReload()
	{
		if(_starttask != null && !_starttask.isDone())
			_starttask.cancel(true);
		if(_stoptask != null && !_stoptask.isDone())
			_stoptask.cancel(true);
	}

	public void onShutdown()
	{}
}
