package services.petevolve;

import l2r.extensions.scripts.Functions;
import l2r.extensions.scripts.ScriptFile;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.L2Summon;
import l2r.util.Files;

/**
 * User: darkevil
 * Date: 16.05.2008
 * Time: 12:19:36
 * #Items
 * WOLF_COLLAR = 2375
 * GREAT_WOLF_NECK = 9882
 * #npcId for wolf
 * WOLF = 12077
 */
public class wolfevolve extends Functions implements ScriptFile
{
	private int WOLF = 12077;  //Чтоб было =), проверка на Wolf
	private int count = 1;   // Чтоб было =), число забираемх ошейников Wolf
	private int wc = 2375;   // Ошейник Wolf
	private int gwn = 9882;  // Ожерелье Great Wolf
	private int dist = 50;  // Дистанция от игрока до пета во избежание юзания каких-нибудь читов или багов. TODO: попозже добавлю


	public void evolve()
	{
		L2Player player = (L2Player) self;

		if(player.getInventory().findItemByItemId(wc) != null)
		{
			L2Summon pl_pet = player.getPet();
			if(pl_pet != null)
			{
				if(pl_pet.getNpcId() == WOLF)
				{
					if(pl_pet.getLevel() < 55)
					{
						show(Files.read("data/scripts/services/petevolve/no_level.htm", player), player);
					}
					else
					{
						player.getPet().unSummon();
						removeItem(player, wc, count);
						addItem(player, gwn, count);
						show(Files.read("data/scripts/services/petevolve/yes_wolf.htm", player), player);
					}
				}
				else
				{
					show(Files.read("data/scripts/services/petevolve/no_wolf.htm", player), player);
				}
			}
			else
			{
				show(Files.read("data/scripts/services/petevolve/no_pet.htm", player), player);
			}
		}
		else
		{
			show(Files.read("data/scripts/services/petevolve/no_item.htm", player), player);
		}
		/**
		 if(player.getPet().getX() - player.getX() > dist || player.getPet().getY() - player.getY() > dist ||player.getPet().getZ() - player.getZ() > dist)
		 {
		 show(Files.read("data/scripts/services/petevolve/no_dist.htm", player), player);
		 }
		 **/

	}

	public void onLoad()
	{
		System.out.println("Loaded Service: Evolve Wolf");
	}

	public void onReload()
	{
	}

	public void onShutdown()
	{
	}
}
