package l2r.extensions.listeners;

import l2r.extensions.listeners.events.MethodEvent;
import l2r.gameserver.model.L2Character;

/**
 * User: Death
 * Date: 19 груд 2007
 * Time: 18:43:47
 */
public abstract class StartAttackListener implements MethodInvokeListener, MethodCollection
{
	public final void methodInvoked(MethodEvent e)
	{
		onAttackStart((L2Character) e.getArgs()[0]);
	}

	public final boolean accept(MethodEvent event)
	{
		return event.getMethodName().equals(onStartAttack);
	}

	public abstract void onAttackStart(L2Character target);
}
