package l2r.extensions.listeners;

import l2r.gameserver.model.L2Character;
import l2r.gameserver.tables.SkillTable;
import l2r.util.Rnd;

public final class ThinSkinListener extends ReduceCurrentHpListener
{
	int _level;

	public ThinSkinListener(int level)
	{
		_level = level;
	}

	@Override
	public void onReduceCurrentHp(L2Character actor, double damage, L2Character attacker, boolean awake, boolean standUp, boolean directHp)
	{
		if(Rnd.chance(5))
			SkillTable.getInstance().getInfo(1237, _level * 3).getEffects(attacker, actor, false);
	}
}