package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;

public class ObserverReturn extends L2GameClientPacket
{
	private static String OBSRETURN__C__C1 = "[C] C1 RequestObserverEndPacket";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(activeChar.inObserverMode())
			activeChar.leaveObserverMode();
	}

	@Override
	public String getType()
	{
		return OBSRETURN__C__C1;
	}
}