package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.AllianceInfo;

/**
 * This class ...
 *
 * @version $Revision: 1479 $ $Date: 2005-11-09 02:47:42 +0300 (Ср, 09 ноя 2005) $
 */
public class RequestAllyInfo extends L2GameClientPacket
{
	private static String _C__8E_REQUESTALLYINFO = "[C] 8E RequestAllyInfo";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		sendPacket(new AllianceInfo(activeChar));
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.clientpackets.ClientBasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__8E_REQUESTALLYINFO;
	}
}
