package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;

public class RequestDeleteMacro extends L2GameClientPacket
{
	private int _id;

	private static String _C__CE_REQUESTDELETEMACRO = "[C] CE RequestDeleteMacro";

	/**
	 * packet type id 0xce
	 *
	 * sample
	 *
	 * ce
	 * d // macro id
	 *
	 * format:		cd
	 * @param decrypt
	 */
	@Override
	public void readImpl()
	{
		_id = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		activeChar.deleteMacro(_id);
	}

	@Override
	public String getType()
	{
		return _C__CE_REQUESTDELETEMACRO;
	}
}