package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.ItemList;

public class RequestItemList extends L2GameClientPacket
{
	private static String _C__14_REQUESTITEMLIST = "[C] 14 RequestItemList";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null || !activeChar.getPlayerAccess().UseInventory || activeChar.isInvetoryDisabled())
			return;
		sendPacket(new ItemList(activeChar, true));
	}

	@Override
	public String getType()
	{
		return _C__14_REQUESTITEMLIST;
	}
}