package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.serverpackets.SkillList;

public class RequestMagicSkillList extends L2GameClientPacket
{
	private static String _C__38_REQUESTMAGICSKILLLIST = "[C] 38 RequestMagicSkillList";

	//private static Logger _log = Logger.getLogger(RequestSkillList.class.getName());
	private int _charId;
	private int _objectId;
	/**
	 * packet type id 0x38
	 * format:		c
	 * @param rawPacket
	 */

	@Override
	public void readImpl()
	{
	readC();
	readC();
	readC();
	_charId = readD();
	_objectId = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;

		sendPacket(new SkillList(activeChar));
	}

	@Override
	public String getType()
	{
		return _C__38_REQUESTMAGICSKILLLIST;
	}
}