package l2r.gameserver.clientpackets;

import l2r.Config;
import l2r.gameserver.model.L2Player;

/**
 * format ch
 * c: (id) 0xD0
 * h: (subid) 0x29
 * @author -Wooden-
 *
 */
public class RequestOlympiadObserverEnd extends L2GameClientPacket
{
	private static String _C__D0_29_REQUESTOLYMPIADOBSERVEREND = "[C] D0:29 RequestOlympiadObserverEnd";

	@Override
	public void readImpl()
	{}

	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		if(activeChar == null)
			return;
		if(Config.ENABLE_OLYMPIAD && activeChar.inObserverMode())
			activeChar.leaveOlympiadObserverMode();
	}

	@Override
	public String getType()
	{
		return _C__D0_29_REQUESTOLYMPIADOBSERVEREND;
	}
}