package l2r.gameserver.clientpackets;

import l2r.gameserver.model.L2Player;
import l2r.util.Log;

/**
 * Format: (c) Sd
 * @author -Wooden-
 *
 */
public class RequestPetition extends L2GameClientPacket
{
	private static String _C__89_REQUEST_PETITION = "[C] 89 RequestPetition";
	// format: cSd
	private String _text;
	private int _type;

	/**
	 * @param buf
	 * @param client
	 */
	@Override
	public void readImpl()
	{
		_text = readS();
		_type = readD();
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.clientpackets.ClientBasePacket#runImpl()
	 */
	@Override
	public void runImpl()
	{
		L2Player activeChar = getClient().getActiveChar();
		System.out.println("Petition: txt:" + _text + " type:" + _type);
		Log.LogPetition(activeChar, _type, _text);

	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__89_REQUEST_PETITION;
	}

}