package l2r.gameserver.clientpackets;

import l2r.gameserver.instancemanager.QuestManager;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.quest.Quest;

public class RequestTutorialPassCmdToServer extends L2GameClientPacket
{
	private static String _C__86_REQUESTTUTORIALPASSCMD = "[C] 86 RequestTutorialPassCmdToServer";
	// format: cS

	String _bypass = null;

	@Override
	public void readImpl()
	{
		_bypass = readS();
	}

	@Override
	public void runImpl()
	{
		L2Player player = getClient().getActiveChar();
		if(player == null)
			return;

		Quest tutorial = QuestManager.getQuest(255);

		if(tutorial != null)
			player.processQuestEvent(tutorial.getName(), _bypass);
	}

	@Override
	public String getType()
	{
		return _C__86_REQUESTTUTORIALPASSCMD;
	}
}