package l2r.gameserver.clientpackets;

import l2r.gameserver.instancemanager.QuestManager;
import l2r.gameserver.model.L2Player;
import l2r.gameserver.model.quest.Quest;

public class RequestTutorialQuestionMark extends L2GameClientPacket
{
	private static String _C__87_REQUESTTUTORIALQMARKPRESSED = "[C] 87 RequestTutorialQuestionMarkPressed";
	// format: cd
	int _number = 0;

	@Override
	public void readImpl()
	{
		_number = readD();
	}

	@Override
	public void runImpl()
	{
		L2Player player = getClient().getActiveChar();
		if(player == null)
			return;

		Quest q = QuestManager.getQuest(255);
		if(q != null)
			player.processQuestEvent(q.getName(), "QM" + _number);
	}

	@Override
	public String getType()
	{
		return _C__87_REQUESTTUTORIALQMARKPRESSED;
	}
}