package l2r.gameserver.geodata.loader;

import l2r.extensions.crypt.GeoCrypt;

import java.util.regex.Pattern;

public class RCGeoLoader extends L2JGeoLoader
{

	private static final Pattern PATTERN = Pattern.compile("[\\d]{2}_[\\d]{2}.geo");

	public Pattern getPattern()
	{
		return PATTERN;
	}

	public byte[] convert(byte[] data)
	{
		return GeoCrypt.getInstance().decrypt(data);
	}
}