package l2r.gameserver.model.instances;

import l2r.gameserver.instancemanager.FortressSiegeManager;
import l2r.gameserver.model.L2Character;
import l2r.gameserver.model.entity.siege.fortress.FortressSiege;
import l2r.gameserver.templates.L2NpcTemplate;

public class L2CommanderInstance extends L2SiegeGuardInstance
{
	public L2CommanderInstance(int objectId, L2NpcTemplate template)
	{
		super(objectId, template);
	}

	@Override
	public void doDie(L2Character killer)
	{
		FortressSiege siege = FortressSiegeManager.getSiege(this);

		if(siege != null && siege.isInProgress())
			siege.killedCommander(this);

		super.doDie(killer);
	}
}