package l2r.gameserver.serverpackets;

/**
 *
 * sample
 * <p>
 * 7d 
 * c1 b2 e0 4a 
 * 00 00 00 00
 * <p>
 *
 * format
 * cdd
 *
 * @version $Revision: 1.1.2.1.2.3 $ $Date: 2005/03/27 15:29:57 $
 */
public class AskJoinFriend extends L2GameServerPacket
{
	private static final String _S__7D_ASKJOINFRIEND = "[S] 7D AskJoinFriend";
	//private static Logger _log = Logger.getLogger(AskJoinFriend.class.getName());

	private String _requestorName;

	/**
	 * @param int objectId of the target
	 * @param int
	 */
	//	public AskJoinFriend(String requestorName, int itemDistribution)
	public AskJoinFriend(String requestorName)
	{
		_requestorName = requestorName;
		//		_itemDistribution = itemDistribution;
	}

	@Override
	final public void runImpl()
	{
	// no long-running tasks
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x7D);
		writeS(_requestorName);
		writeD(0);
	}

	/* (non-Javadoc)
	 * @see l2r.gameserver.serverpackets.L2GameServerPacket#getType()
	 */
	@Override
	public String getType()
	{
		return _S__7D_ASKJOINFRIEND;
	}

}
