package l2r.gameserver.serverpackets;

public class AskJoinPledge extends L2GameServerPacket
{
	private static final String _S__2c_ASKJOINPLEDGE = "[S] 2c AskJoinPledge";

	private int _requestorId;
	private String _pledgeName;

	public AskJoinPledge(int requestorId, String pledgeName)
	{
		_requestorId = requestorId;
		_pledgeName = pledgeName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x32);
		writeD(_requestorId);
		writeS(_pledgeName);
	}

	@Override
	public String getType()
	{
		return _S__2c_ASKJOINPLEDGE;
	}
}
