package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Player;

/**
 * sample
 * format
 * d
 */
public class ChairSit extends L2GameServerPacket
{
	private static final String _S__ed_CHAIRSIT = "[S] ed ChairSit";

	private L2Player _activeChar;
	private int _staticObjectId;

	public ChairSit(L2Player player, int staticObjectId)
	{
		_activeChar = player;
		_staticObjectId = staticObjectId;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xe1);
		writeD(_activeChar.getObjectId());
		writeD(_staticObjectId);
	}

	@Override
	public String getType()
	{
		return _S__ed_CHAIRSIT;
	}
}