package l2r.gameserver.serverpackets;

/**
 * Asks the player to join a Command Channel
 */
public class ExAskJoinMPCC extends L2GameServerPacket
{

	private static final String _S__FE_1A_EXASKJOINMPCC = "[S] FE:1a ExAskJoinMPCC";
	private String _requestorName;

	/**
	 * @param String Name of CCLeader
	 */
	public ExAskJoinMPCC(String requestorName)
	{
		_requestorName = requestorName;
	}

	@Override
	protected void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x27);
		writeS(_requestorName); // лидер CC
	}

	@Override
	public String getType()
	{
		return _S__FE_1A_EXASKJOINMPCC;
	}
}