package l2r.gameserver.serverpackets;

/**
 * Format: ch S
 * @author KenM
 */
public class ExAskJoinPartyRoom extends L2GameServerPacket
{
	private static final String _S__FE_35_EXASKJOINPARTYROOM = "[S] FE:35 ExAskJoinPartyRoom";
	private String _charName;

	public ExAskJoinPartyRoom(String charName)
	{
		_charName = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x34);
		writeS(_charName);
	}

	@Override
	public String getType()
	{
		return _S__FE_35_EXASKJOINPARTYROOM;
	}
}