package l2r.gameserver.serverpackets;

import java.util.List;

public class ExCursedWeaponList extends L2GameServerPacket
{
	private static final String _S__FE_46_EXCURSEDWEAPONLIST = "[S] FE:46 ExCursedWeaponList";
	private int[] cursedWeapon_ids;

	public ExCursedWeaponList(List<Integer> cursedWeaponIds)
	{
		cursedWeapon_ids = new int[cursedWeaponIds.size()];
		for(int i = 0; i < cursedWeaponIds.size(); i++)
			cursedWeapon_ids[i] = cursedWeaponIds.get(i);
	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x45);

		writeD(cursedWeapon_ids.length);
		for(Integer i : cursedWeapon_ids)
			writeD(i.intValue());
	}

	@Override
	public String getType()
	{
		return _S__FE_46_EXCURSEDWEAPONLIST;
	}
}