package l2r.gameserver.serverpackets;

public class ExOlympiadMode extends L2GameServerPacket
{
	// chc
	private static final String _S__FE_7C_OLYMPIADMODE = "[S] FE:7c ExOlympiadMode";
	private int _mode;

	/**
	 * @param _mode (0 = return, 3 = spectate)
	 */
	public ExOlympiadMode(int mode)
	{
		_mode = mode;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x2B);

		writeC(_mode);
	}

	@Override
	public String getType()
	{
		return _S__FE_7C_OLYMPIADMODE;
	}
}