package l2r.gameserver.serverpackets;

/**
 * @Author: Death
 * @Date: 13/6/2007
 * @Time: 10:33:25
 *
 * TODO: стырить откуда-то корректное название пакета.
 */
public class ExPotionEffectStatusBarHP extends L2GameServerPacket
{
	private final short _id;

	public ExPotionEffectStatusBarHP(short id)
	{
		_id = id;
	}

	public static final short POTION_HEALING_GREATER = 16457;
	public static final short POTION_HEALING_MEDIUM = 16440;
	public static final short POTION_HEALING_LESSER = 16416;

	/**
	 * Пример пакета - Пришло после использования Healing Potion
	 *
	 * FE 01 00 01 00 00 00 0F 00 00 00 03 00 00 00 00 00 00 00 00 00 38 40 // Healing Potion
	 * FE 01 00 01 00 00 00 0F 00 00 00 03 00 00 00 00 00 00 00 00 00 49 40 // Greater Healing Potion
	 * FE 01 00 01 00 00 00 0F 00 00 00 03 00 00 00 00 00 00 00 00 00 20 40 // Lesser Healing Potion
	 *
	 * FE - тип
	 * 01 00 - субтип
	 * 01 00 00 00 - хз что
	 * 0F 00 00 00 - хз что
	 * 03 00 00 00 - хз что
	 * 00 00 00 00 - хз что
	 * 00 00 - хз что
	 * 38 40 - хз что
	 */

	@Override
	protected void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x01);
		writeD(1); // unknown 1
		writeD(0x0F); // Время дейсвия полоски... Общий размер = вермя * длинна
		writeD(3); // тут размер полоски. Чем меньше число, тем больше полоска. Банки присылают 3.
		writeD(0); // unknown 4
		writeH(0); // unknown 5
		writeH(_id);
	}

	@Override
	public String getType()
	{
		return "[S] FE:01 ExPotionEffectStatusBarHP";
	}
}