package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Player;
import l2r.util.Location;

public class ObserverEnd extends L2GameServerPacket
{
	// ddSS
	private static final String _S__ec_OBSERVRETURN = "[S] ec ObservationReturn";
	private Location _loc;

	public ObserverEnd(L2Player observer)
	{
		_loc = observer.getLoc();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xe0);
		writeD(_loc.getX());
		writeD(_loc.getY());
		writeD(_loc.getZ());
	}

	@Override
	public String getType()
	{
		return _S__ec_OBSERVRETURN;
	}
}