package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Summon;

public class PetStatusShow extends L2GameServerPacket
{
	private static final String _S__b1_PETSTATUSSHOW = "[S] b1 PetStatusShow";
	private int _summonType;

	public PetStatusShow(L2Summon summon)
	{
		_summonType = summon.getSummonType();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xb0);
		writeD(_summonType);
	}

	@Override
	public String getType()
	{
		return _S__b1_PETSTATUSSHOW;
	}
}