package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Clan;

public class PledgeInfo extends L2GameServerPacket
{
	private static final String _S__89_PLEDGEINFO = "[S] 89 PledgeInfo";
	private int clan_id;
	private String clan_name, ally_name;

	public PledgeInfo(L2Clan clan)
	{
		clan_id = clan.getClanId();
		clan_name = clan.getName();
		ally_name = clan.getAlliance() == null ? "" : clan.getAlliance().getAllyName();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x83);
		writeD(clan_id);
		writeS(clan_name);
		writeS(ally_name);
	}

	@Override
	public String getType()
	{
		return _S__89_PLEDGEINFO;
	}
}