package l2r.gameserver.serverpackets;

public class PledgeReceiveUpdatePower extends L2GameServerPacket
{
	private static final String _S__FE_42_PLEDGERECEIVEUPDATEPOWER = "[S] FE:42 PledgeReceiveUpdatePower";
	private int _privs;

	public PledgeReceiveUpdatePower(int privs)
	{
		_privs = privs;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(EXTENDED_PACKET);
		writeH(0x42);
		writeD(_privs); //Filler??????
	}

	@Override
	public String getType()
	{
		return _S__FE_42_PLEDGERECEIVEUPDATEPOWER;
	}
}