package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2ManufactureItem;
import l2r.gameserver.model.L2ManufactureList;
import l2r.gameserver.model.L2Player;

/**
 * dddd d(ddd)
 */
public class RecipeShopSellList extends L2GameServerPacket
{
	private static final String _S__df_RecipeShopSellList = "[S] df RecipeShopSellList";
	public int obj_id, curMp, maxMp, buyer_adena;
	private L2ManufactureList createList;

	public RecipeShopSellList(L2Player buyer, L2Player manufacturer)
	{
		obj_id = manufacturer.getObjectId();
		curMp = (int) manufacturer.getCurrentMp();
		maxMp = manufacturer.getMaxMp();
		buyer_adena = buyer.getAdena();
		createList = manufacturer.getCreateList();
	}

	@Override
	protected final void writeImpl()
	{
		if(createList == null)
			return;

		writeC(0xdf);
		writeD(obj_id);
		writeD(curMp);//Creator's MP
		writeD(maxMp);//Creator's MP
		writeD(buyer_adena);//Buyer Adena
		int count = createList.size();
		writeD(count);
		L2ManufactureItem temp;
		for(int i = 0; i < count; i++)
		{
			temp = createList.getList().get(i);
			writeD(temp.getRecipeId());
			writeD(0x00); //unknown
			writeD(temp.getCost());
		}
	}

	@Override
	public String getType()
	{
		return _S__df_RecipeShopSellList;
	}
}