package l2r.gameserver.serverpackets;

import l2r.gameserver.model.entity.SevenSigns;

/**
 * sample
 * format
 * d
 */
public class ShowMiniMap extends L2GameServerPacket
{
	private static final String _S__a3_SHOWMINIMAP = "[S] a3 ShowMiniMap";
	private int _mapId, period;

	public ShowMiniMap(int mapId)
	{
		_mapId = mapId;
		period = SevenSigns.getInstance().getCurrentPeriod();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x9D);
		writeD(_mapId);
		writeD(period);
	}

	@Override
	public String getType()
	{
		return _S__a3_SHOWMINIMAP;
	}
}