package l2r.gameserver.serverpackets;

public class StartAllianceWar extends L2GameServerPacket
{
	private static final String _S__c2_STARTALLIANCEWAR = "[S] c2 StartAllianceWar";
	private String _allianceName;
	private String _char;

	public StartAllianceWar(String alliance, String charName)
	{
		_allianceName = alliance;
		_char = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0xBD);
		writeS(_char);
		writeS(_allianceName);
	}

	@Override
	public String getType()
	{
		return _S__c2_STARTALLIANCEWAR;
	}
}