package l2r.gameserver.serverpackets;

public class StartPledgeWar extends L2GameServerPacket
{
	private static final String _S__63_STARTPLEDGEWAR = "[S] 63 StartPledgeWar";
	private String _pledgeName;
	private String _char;

	public StartPledgeWar(String pledge, String charName)
	{
		_pledgeName = pledge;
		_char = charName;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x65);
		writeS(_char);
		writeS(_pledgeName);
	}

	@Override
	public String getType()
	{
		return _S__63_STARTPLEDGEWAR;
	}
}