package l2r.gameserver.serverpackets;

import l2r.gameserver.model.L2Character;

public class StartRotating extends L2GameServerPacket
{
	private static final String _S__7a_BEGINROTATION = "[S] 7a BeginRotation";
	private int _charId;
	private int _degree;
	private int _side;

	public StartRotating(L2Character cha, int degree, int side)
	{
		_charId = cha.getObjectId();
		_degree = degree;
		_side = side;
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x62);
		writeD(_charId);
		writeD(_degree);
		writeD(_side);
	}

	@Override
	public String getType()
	{
		return _S__7a_BEGINROTATION;
	}
}