package l2r.gameserver.serverpackets;

import l2r.gameserver.model.instances.L2BoatInstance;
import l2r.util.Location;

public class VehicleCheckLocation extends L2GameServerPacket
{
	private static final String _S__6d_VehicleCheckLocation = "[S] 6d VehicleCheckLocation";
	private int _boatObjId;
	private Location _loc;

	/**
	 * @param instance
	 */
	public VehicleCheckLocation(L2BoatInstance instance)
	{
		_boatObjId = instance.getObjectId();
		_loc = instance.getLoc();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x5b);
		writeD(_boatObjId);
		writeD(_loc.getX());
		writeD(_loc.getY());
		writeD(_loc.getZ());
		writeD(_loc.h);
	}

	@Override
	public String getType()
	{
		return _S__6d_VehicleCheckLocation;
	}
}