package l2r.gameserver.serverpackets;

import l2r.gameserver.model.instances.L2BoatInstance;
import l2r.util.Location;

public class VehicleInfo extends L2GameServerPacket
{
	private static final String _S__6C_VEHICLEINFO = "[S] 60 VehicleInfo";
	private int _boatObjId;
	private Location _loc;

	public VehicleInfo(L2BoatInstance boat)
	{
		_boatObjId = boat.getObjectId();
		_loc = boat.getLoc();
	}

	@Override
	protected final void writeImpl()
	{
		writeC(0x59);
		writeD(_boatObjId);
		writeD(_loc.getX());
		writeD(_loc.getY());
		writeD(_loc.getZ());
		writeD(_loc.h);
	}

	@Override
	public String getType()
	{
		return _S__6C_VEHICLEINFO;
	}
}