package l2r.gameserver.skills.conditions;

import l2r.gameserver.skills.Env;

public class ConditionPlayerMp extends Condition
{
	private final float _mp;

	public ConditionPlayerMp(int mp)
	{
		_mp = mp / 100f;
	}

	@Override
	public boolean testImpl(Env env)
	{
		return env.character.getCurrentMp() <= _mp * env.character.getMaxMp();
	}
}
