package l2r.gameserver.skills.conditions;

import l2r.gameserver.skills.Env;

public final class ConditionTargetHasBuffId extends Condition
{
	private final Integer _id;

	public ConditionTargetHasBuffId(Integer id)
	{
		_id = id;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(env.target == null || env.target.getEffectsBySkillId(_id) == null)
			return false;
		return true;
	}
}
