package l2r.gameserver.skills.conditions;

import l2r.gameserver.model.L2Playable;
import l2r.gameserver.skills.Env;

public class ConditionTargetPlayable extends Condition
{
	private final boolean _flag;

	public ConditionTargetPlayable(boolean flag)
	{
		_flag = flag;
	}

	@Override
	public boolean testImpl(Env env)
	{
		return env.target instanceof L2Playable == _flag;
	}
}
