package l2r.gameserver.skills.conditions;

import l2r.gameserver.model.L2Player;
import l2r.gameserver.skills.Env;
import l2r.gameserver.templates.L2Armor.ArmorType;

public class ConditionUsingArmor extends Condition
{
	private final ArmorType _armor;

	public ConditionUsingArmor(ArmorType armor)
	{
		_armor = armor;
	}

	@Override
	public boolean testImpl(Env env)
	{
		if(env.character.isPlayer && ((L2Player) env.character).isWearingArmor(_armor))
			return true;

		return false;
	}
}
