package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.model.L2Summon;
import l2r.gameserver.skills.Env;

final class EffectDestroySummon extends L2Effect
{
	public EffectDestroySummon(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.DESTROY_SUMMON;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		if(_effected.isSummon)
		{
			((L2Summon) _effected).unSummon();
			exit();
		}
	}

	/** Notify exited */
	@Override
	public void onExit()
	{}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}
}
