package l2r.gameserver.skills.effects;

import l2r.gameserver.model.L2Effect;
import l2r.gameserver.skills.Env;

public final class EffectSeed extends L2Effect
{
	private int _power = 1;

	public EffectSeed(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	@Override
	public EffectType getEffectType()
	{
		return EffectType.SEED;
	}

	@Override
	public boolean onActionTime()
	{
		// just stop this effect
		return false;
	}

	public int getPower()
	{
		return _power;
	}

	public void increasePower()
	{
		_power++;
	}
}
