package l2r.gameserver.skills.funcs;

import l2r.gameserver.skills.Env;
import l2r.gameserver.skills.Stats;

public class FuncSet extends Func
{
	public FuncSet(Stats stat, int order, Object owner, Lambda lambda)
	{
		super(stat, order, owner, lambda);
	}

	@Override
	public void calc(Env env)
	{
		if(_cond == null || _cond.test(env))
			env.value = _lambda.calc(env);
	}
}
