package l2r.gameserver.skills.funcs;

import l2r.gameserver.skills.Env;

public class LambdaConstPercent extends Lambda
{
	public LambdaConstPercent(double value)
	{
		super(value);
	}

	@Override
	public double calc(Env env)
	{
		return env.value + env.value * _value / 100;
	}

	public void join(Func func)
	{
		if(func instanceof FuncAdd)
			_value += func._lambda._value;
		else if(func instanceof FuncSub)
			_value -= func._lambda._value;
	}

	public void set(double value)
	{
		_value = value;
	}
}
