package l2r.gameserver.webserver;

import java.util.logging.Logger;

import l2r.Config;

public class WebServer extends Thread
{
	protected static Logger _log = Logger.getLogger(WebServer.class.getName());
	WebServerThread wst = null;

	@Override
	public void run()
	{
		_log.fine("Starting WebServer at port " + Config.WebServerPort);
		try
		{
			if(wst == null)
				wst = new WebServerThread(Config.WebServerPort, Config.WebServerRoot);
			else
				Thread.dumpStack();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
}
