DROP TABLE IF EXISTS `zone`;
CREATE TABLE `zone` (
  `id` int(9) NOT NULL default '0',
  `index` int(9) NOT NULL default '0',
  `taxById` int(9) NOT NULL default '0',
  `name` varchar(255) NOT NULL,
  `type` varchar(17) default NULL,
  `loc_id` int(9) default NULL,
  `restart_point` varchar(8) default NULL,
  `PKrestart_point` varchar(8) default NULL,
  `target` varchar(8) default NULL,
  `skill_name` varchar(8) default NULL,
  `skill_prob` varchar(8) default NULL,
  `unit_tick` varchar(8) default NULL,
  `default_status` varchar(8) default NULL,
  `initial_delay` varchar(8) default NULL,
  `on_time` varchar(8) default NULL,
  `off_time` varchar(8) default NULL,
  `random_time` varchar(8) default NULL,
  `skill_action_type` varchar(8) default NULL,
  `restart_time` varchar(8) default NULL,
  `restart_allowed_time` varchar(8) default NULL,
  `affect_race` varchar(8) default NULL,
  `move_bonus` varchar(8) default NULL,
  `hp_regen_bonus` varchar(8) default NULL,
  `mp_regen_bonus` varchar(8) default NULL,
  `damage_on_hp` varchar(8) default NULL,
  `damage_on_mp` varchar(8) default NULL,
  `message_no` varchar(8) default NULL,
  `entering_message_no` varchar(8) default NULL,
  `leaving_message_no` varchar(8) default NULL,
  `exp_penalty_per` varchar(8) default NULL,
  `item_drop` varchar(8) default NULL,
  `blocked_actions` varchar(128) default NULL,
  `event_id` varchar(8) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

INSERT INTO `zone` SET `id`=1, `name`='[mother_tree_start_zone]', `type`='mother_tree', `loc_id`=40001, `affect_race`='elf', `entering_message_no`='114', `leaving_message_no`='115';
INSERT INTO `zone` SET `id`=2, `name`='[mother_tree_town]', `type`='mother_tree', `loc_id`=40002, `affect_race`='elf', `entering_message_no`='114', `leaving_message_no`='115';
INSERT INTO `zone` SET `id`=3, `name`='[talking_island_town_peace_zone1]', `type`='peace_zone', `loc_id`=40003;
INSERT INTO `zone` SET `id`=4, `name`='[talking_island_town_peace_zone2]', `type`='peace_zone', `loc_id`=40004;
INSERT INTO `zone` SET `id`=5, `name`='[talking_island_town_peace_zone3]', `type`='peace_zone', `loc_id`=40005;
INSERT INTO `zone` SET `id`=6, `name`='[talking_island_town_peace_zone4]', `type`='peace_zone', `loc_id`=40006;
INSERT INTO `zone` SET `id`=7, `name`='[mage_start_peace_1]', `type`='peace_zone', `loc_id`=40007;
INSERT INTO `zone` SET `id`=8, `name`='[mage_start_peace_2]', `type`='peace_zone', `loc_id`=40008;
INSERT INTO `zone` SET `id`=9, `name`='[mage_start_peace_3]', `type`='peace_zone', `loc_id`=40009;
INSERT INTO `zone` SET `id`=10, `name`='[mage_start_peace_4]', `type`='peace_zone', `loc_id`=40010;
INSERT INTO `zone` SET `id`=11, `name`='[mage_start_peace_5]', `type`='peace_zone', `loc_id`=40011;
INSERT INTO `zone` SET `id`=12, `name`='[fighter_start_peace_1]', `type`='peace_zone', `loc_id`=40012;
INSERT INTO `zone` SET `id`=13, `name`='[fighter_start_peace_2]', `type`='peace_zone', `loc_id`=40013;
INSERT INTO `zone` SET `id`=14, `name`='[fighter_start_peace_3]', `type`='peace_zone', `loc_id`=40014;
INSERT INTO `zone` SET `id`=15, `name`='[fighter_start_peace_4]', `type`='peace_zone', `loc_id`=40015;
INSERT INTO `zone` SET `id`=16, `name`='[darkelf_town_peace_zone]', `type`='peace_zone', `loc_id`=40016;
INSERT INTO `zone` SET `id`=17, `name`='[darkelf_start_peace_1]', `type`='peace_zone', `loc_id`=40017;
INSERT INTO `zone` SET `id`=18, `name`='[darkelf_start_peace_2]', `type`='peace_zone', `loc_id`=40018;
INSERT INTO `zone` SET `id`=19, `name`='[20_19_worldtree]', `type`='mother_tree', `loc_id`=40019, `affect_race`='elf', `entering_message_no`='114', `leaving_message_no`='115';
INSERT INTO `zone` SET `id`=20, `name`='[20_20_worldtree]', `type`='mother_tree', `loc_id`=40020, `affect_race`='elf', `entering_message_no`='114', `leaving_message_no`='115';
INSERT INTO `zone` SET `id`=21, `name`='[21_20_worldtree]', `type`='mother_tree', `loc_id`=40021, `affect_race`='elf', `entering_message_no`='114', `leaving_message_no`='115';
INSERT INTO `zone` SET `id`=22, `name`='[elf_town_peace1]', `type`='peace_zone', `loc_id`=40022;
INSERT INTO `zone` SET `id`=23, `name`='[elf_start_peace1]', `type`='peace_zone', `loc_id`=40023;
INSERT INTO `zone` SET `id`=24, `name`='[elf_start_peace2]', `type`='peace_zone', `loc_id`=40024;
INSERT INTO `zone` SET `id`=25, `name`='[elf_start_peace3]', `type`='peace_zone', `loc_id`=40025;
INSERT INTO `zone` SET `id`=26, `name`='[guldiocastle_town_peace1]', `type`='peace_zone', `loc_id`=40026;
INSERT INTO `zone` SET `id`=27, `name`='[guldiocastle_town_peace2]', `type`='peace_zone', `loc_id`=40027;
INSERT INTO `zone` SET `id`=28, `name`='[gludin_town_peace1]', `type`='peace_zone', `loc_id`=40028;
INSERT INTO `zone` SET `id`=29, `name`='[gludin_town_peace2]', `type`='peace_zone', `loc_id`=40029;
INSERT INTO `zone` SET `id`=30, `name`='[gludin_town_peace3]', `type`='peace_zone', `loc_id`=40030;
INSERT INTO `zone` SET `id`=31, `name`='[gludin_town_peace4]', `type`='peace_zone', `loc_id`=40031;
INSERT INTO `zone` SET `id`=32, `name`='[dion_town_peace1]', `type`='peace_zone', `loc_id`=40032;
INSERT INTO `zone` SET `id`=33, `name`='[dion_town_peace2]', `type`='peace_zone', `loc_id`=40033;
INSERT INTO `zone` SET `id`=34, `name`='[dion_town_peace3]', `type`='peace_zone', `loc_id`=40034;
INSERT INTO `zone` SET `id`=35, `name`='[dion_town_peace4]', `type`='peace_zone', `loc_id`=40035;
INSERT INTO `zone` SET `id`=36, `name`='[dion_town_peace5]', `type`='peace_zone', `loc_id`=40036;
INSERT INTO `zone` SET `id`=37, `name`='[floran_town_peace1]', `type`='peace_zone', `loc_id`=40037;
INSERT INTO `zone` SET `id`=38, `name`='[floran_town_peace2]', `type`='peace_zone', `loc_id`=40038;
INSERT INTO `zone` SET `id`=39, `name`='[floran_town_peace3]', `type`='peace_zone', `loc_id`=40039;
INSERT INTO `zone` SET `id`=40, `name`='[giran_town_peace12]', `type`='peace_zone', `loc_id`=40040;
INSERT INTO `zone` SET `id`=41, `name`='[giran_town_peace1]', `type`='peace_zone', `loc_id`=40041;
INSERT INTO `zone` SET `id`=42, `name`='[giran_town_peace2]', `type`='peace_zone', `loc_id`=40042;
INSERT INTO `zone` SET `id`=43, `name`='[giran_town_peace3]', `type`='peace_zone', `loc_id`=40043;
INSERT INTO `zone` SET `id`=44, `name`='[giran_town_peace4]', `type`='peace_zone', `loc_id`=40044;
INSERT INTO `zone` SET `id`=45, `name`='[giran_town_peace5]', `type`='peace_zone', `loc_id`=40045;
INSERT INTO `zone` SET `id`=46, `name`='[giran_town_peace6]', `type`='peace_zone', `loc_id`=40046;
INSERT INTO `zone` SET `id`=47, `name`='[giran_town_peace7]', `type`='peace_zone', `loc_id`=40047;
INSERT INTO `zone` SET `id`=48, `name`='[giran_town_peace8]', `type`='peace_zone', `loc_id`=40048;
INSERT INTO `zone` SET `id`=49, `name`='[giran_town_peace9]', `type`='peace_zone', `loc_id`=40049;
INSERT INTO `zone` SET `id`=50, `name`='[giran_town_peace10]', `type`='peace_zone', `loc_id`=40050;
INSERT INTO `zone` SET `id`=51, `name`='[giran_town_peace11]', `type`='peace_zone', `loc_id`=40051;
INSERT INTO `zone` SET `id`=52, `name`='[orc_start_peace]', `type`='peace_zone', `loc_id`=40052;
INSERT INTO `zone` SET `id`=53, `name`='[orc_town_peace1]', `type`='peace_zone', `loc_id`=40053;
INSERT INTO `zone` SET `id`=54, `name`='[orc_town_peace2]', `type`='peace_zone', `loc_id`=40054;
INSERT INTO `zone` SET `id`=55, `name`='[dwarf_start]', `type`='peace_zone', `loc_id`=40055;
INSERT INTO `zone` SET `id`=56, `name`='[dwarf_town_peace1]', `type`='peace_zone', `loc_id`=40056;
INSERT INTO `zone` SET `id`=57, `name`='[dwarf_town_peace2]', `type`='peace_zone', `loc_id`=40057;
INSERT INTO `zone` SET `id`=58, `name`='[dwarf_town_peace3]', `type`='peace_zone', `loc_id`=40058;
INSERT INTO `zone` SET `id`=59, `name`='[dwarf_town_peace4]', `type`='peace_zone', `loc_id`=40059;
INSERT INTO `zone` SET `id`=60, `name`='[dwarf_town_peace5]', `type`='peace_zone', `loc_id`=40060;
INSERT INTO `zone` SET `id`=61, `name`='[oren_town_peace1]', `type`='peace_zone', `loc_id`=40061;
INSERT INTO `zone` SET `id`=62, `name`='[ivory_tower_peace1]', `type`='peace_zone', `loc_id`=40062;
INSERT INTO `zone` SET `id`=63, `name`='[hunter_town_peace1]', `type`='peace_zone', `loc_id`=40063;
INSERT INTO `zone` SET `id`=64, `name`='[hadin_peace1]', `type`='peace_zone', `loc_id`=40064;
INSERT INTO `zone` SET `id`=65, `name`='[aden_town_peace1]', `type`='peace_zone', `loc_id`=40065;
INSERT INTO `zone` SET `id`=66, `name`='[aden_town_peace2]', `type`='peace_zone', `loc_id`=40066;
INSERT INTO `zone` SET `id`=67, `name`='[aden_town_peace3]', `type`='peace_zone', `loc_id`=40067;
INSERT INTO `zone` SET `id`=68, `name`='[aden_town_peace4]', `type`='peace_zone', `loc_id`=40068;
INSERT INTO `zone` SET `id`=69, `name`='[aden_town_peace5]', `type`='peace_zone', `loc_id`=40069;
INSERT INTO `zone` SET `id`=70, `name`='[speaking_port_peace1]', `type`='peace_zone', `loc_id`=40070;
INSERT INTO `zone` SET `id`=71, `name`='[speaking_port_peace2]', `type`='peace_zone', `loc_id`=40071;
INSERT INTO `zone` SET `id`=72, `name`='[speaking_port_peace3]', `type`='peace_zone', `loc_id`=40072;
INSERT INTO `zone` SET `id`=73, `name`='[speaking_port_peace4]', `type`='peace_zone', `loc_id`=40073;
INSERT INTO `zone` SET `id`=74, `name`='[speaking_port_peace5]', `type`='peace_zone', `loc_id`=40074;
INSERT INTO `zone` SET `id`=75, `name`='[speaking_port_peace6]', `type`='peace_zone', `loc_id`=40075;
INSERT INTO `zone` SET `id`=76, `name`='[speaking_port_peace7]', `type`='peace_zone', `loc_id`=40076;
INSERT INTO `zone` SET `id`=77, `name`='[speaking_port_peace8]', `type`='peace_zone', `loc_id`=40077;
INSERT INTO `zone` SET `id`=78, `name`='[gludin_port1]', `type`='peace_zone', `loc_id`=40078;
INSERT INTO `zone` SET `id`=79, `name`='[glludin_port2]', `type`='peace_zone', `loc_id`=40079;
INSERT INTO `zone` SET `id`=80, `name`='[giran_port1]', `type`='peace_zone', `loc_id`=40080;
INSERT INTO `zone` SET `id`=81, `name`='[giran_port2]', `type`='peace_zone', `loc_id`=40081;
INSERT INTO `zone` SET `id`=82, `name`='[giran_port3]', `type`='peace_zone', `loc_id`=40082;
INSERT INTO `zone` SET `id`=83, `name`='[giran_port4]', `type`='peace_zone', `loc_id`=40083;
INSERT INTO `zone` SET `id`=84, `name`='[dion_monster_race1]', `type`='peace_zone', `loc_id`=40084, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=85, `name`='[dion_monster_race2]', `type`='peace_zone', `loc_id`=40085, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=86, `name`='[dion_monster_race3]', `type`='peace_zone', `loc_id`=40086, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=87, `name`='[dion_monster_race4]', `type`='peace_zone', `loc_id`=40087, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=88, `name`='[dion_monster_race5]', `type`='peace_zone', `loc_id`=40088, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=89, `name`='[dion_monster_race6]', `type`='peace_zone', `loc_id`=40089, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=90, `name`='[dion_monster_race7]', `type`='peace_zone', `loc_id`=40090, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=91, `name`='[dion_monster_race8]', `type`='peace_zone', `loc_id`=40091, `restart_point`='41405', `PKrestart_point`='41455';
INSERT INTO `zone` SET `id`=92, `index`=1, `name`='[dion_monster_pvp]', `type`='battle_zone', `loc_id`=40092, `restart_point`='41404', `PKrestart_point`='41455', `entering_message_no`='283', `leaving_message_no`='284';
INSERT INTO `zone` SET `id`=93, `name`='[heiness_peace1]', `type`='peace_zone', `loc_id`=40093;
INSERT INTO `zone` SET `id`=94, `name`='[heiness_peace2]', `type`='peace_zone', `loc_id`=40094;
INSERT INTO `zone` SET `id`=95, `name`='[heiness_peace3]', `type`='peace_zone', `loc_id`=40095;
INSERT INTO `zone` SET `id`=96, `name`='[godad_peace1]', `type`='peace_zone', `loc_id`=40096;
INSERT INTO `zone` SET `id`=97, `name`='[rune_peace1]', `type`='peace_zone', `loc_id`=40097;
INSERT INTO `zone` SET `id`=98, `name`='[rune_peace2]', `type`='peace_zone', `loc_id`=40098;
INSERT INTO `zone` SET `id`=99, `name`='[cruma_boss_damage_zone]', `type`='damage', `loc_id`=40099;
INSERT INTO `zone` SET `id`=100, `name`='[spore_boss_swamp_zone]', `type`='swamp', `loc_id`=40100;
INSERT INTO `zone` SET `id`=101, `name`='[spore_boss_poison_zone]', `type`='poison', `loc_id`=40101;
INSERT INTO `zone` SET `id`=102, `index`=2, `name`='[gludin_pvp]', `type`='battle_zone', `loc_id`=40102, `restart_point`='41402', `entering_message_no`='283', `leaving_message_no`='284';
INSERT INTO `zone` SET `id`=103, `name`='[gludin_pvp_peace_1]', `type`='peace_zone', `loc_id`=40103;
INSERT INTO `zone` SET `id`=104, `name`='[gludin_pvp_peace_2]', `type`='peace_zone', `loc_id`=40104;
INSERT INTO `zone` SET `id`=105, `name`='[gludin_pvp_peace_3]', `type`='peace_zone', `loc_id`=40105;
INSERT INTO `zone` SET `id`=106, `name`='[gludin_pvp_peace_4]', `type`='peace_zone', `loc_id`=40106;
INSERT INTO `zone` SET `id`=107, `index`=3, `name`='[giran_pvp_battle]', `type`='battle_zone', `loc_id`=40107, `restart_point`='41401', `entering_message_no`='283', `leaving_message_no`='284';
INSERT INTO `zone` SET `id`=108, `name`='[giran_pvp_peace1]', `type`='peace_zone', `loc_id`=40108;
INSERT INTO `zone` SET `id`=109, `name`='[giran_pvp_peace2]', `type`='peace_zone', `loc_id`=40109;
INSERT INTO `zone` SET `id`=110, `name`='[giran_pvp_peace3]', `type`='peace_zone', `loc_id`=40110;
INSERT INTO `zone` SET `id`=111, `name`='[giran_pvp_peace4]', `type`='peace_zone', `loc_id`=40111;
INSERT INTO `zone` SET `id`=112, `index`=4, `name`='[colosseum_battle]', `type`='battle_zone', `loc_id`=40112, `restart_point`='41403', `PKrestart_point`='41453', `entering_message_no`='283', `leaving_message_no`='284';
INSERT INTO `zone` SET `id`=115, `name`='[colosseum_peace1]', `type`='peace_zone', `loc_id`=40115, `restart_point`='41403', `PKrestart_point`='41453';
INSERT INTO `zone` SET `id`=116, `name`='[colosseum_peace2]', `type`='peace_zone', `loc_id`=40116, `restart_point`='41403', `PKrestart_point`='41453';
INSERT INTO `zone` SET `id`=117, `name`='[gm_prison]', `type`='peace_zone', `loc_id`=40117, `entering_message_no`='116', `leaving_message_no`='117';
INSERT INTO `zone` SET `id`=118, `name`='[aden_slow_8]', `type`='swamp', `loc_id`=40118, `default_status`='off', `move_bonus`='-80', `event_id`='2418008';
INSERT INTO `zone` SET `id`=119, `name`='[aden_slow_7]', `type`='swamp', `loc_id`=40119, `default_status`='off', `move_bonus`='-80', `event_id`='2418007';
INSERT INTO `zone` SET `id`=120, `name`='[aden_slow_6]', `type`='swamp', `loc_id`=40120, `default_status`='off', `move_bonus`='-80', `event_id`='2418006';
INSERT INTO `zone` SET `id`=121, `name`='[aden_slow_5]', `type`='swamp', `loc_id`=40121, `default_status`='off', `move_bonus`='-80', `event_id`='2418005';
INSERT INTO `zone` SET `id`=122, `name`='[aden_slow_4]', `type`='swamp', `loc_id`=40122, `default_status`='off', `move_bonus`='-80', `event_id`='2418004';
INSERT INTO `zone` SET `id`=123, `name`='[aden_slow_3]', `type`='swamp', `loc_id`=40123, `default_status`='off', `move_bonus`='-80', `event_id`='2418003';
INSERT INTO `zone` SET `id`=124, `name`='[aden_slow_2]', `type`='swamp', `loc_id`=40124, `default_status`='off', `move_bonus`='-80', `event_id`='2418002';
INSERT INTO `zone` SET `id`=125, `name`='[aden_slow_1]', `type`='swamp', `loc_id`=40125, `default_status`='off', `move_bonus`='-80', `event_id`='2418001';
INSERT INTO `zone` SET `id`=126, `name`='[aden_damage_8]', `type`='damage', `loc_id`=40126, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=127, `name`='[aden_damage_7]', `type`='damage', `loc_id`=40127, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=128, `name`='[aden_damage_6]', `type`='damage', `loc_id`=40128, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=129, `name`='[aden_damage_5]', `type`='damage', `loc_id`=40129, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=130, `name`='[aden_damage_4]', `type`='damage', `loc_id`=40130, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=131, `name`='[aden_damage_3]', `type`='damage', `loc_id`=40131, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=132, `name`='[aden_damage_2]', `type`='damage', `loc_id`=40132, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=133, `name`='[aden_damage_1]', `type`='damage', `loc_id`=40133, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=134, `name`='[gludio_slow_1]', `type`='swamp', `loc_id`=40134, `default_status`='off', `move_bonus`='-80', `event_id`='1921001';
INSERT INTO `zone` SET `id`=135, `name`='[gludio_slow_2]', `type`='swamp', `loc_id`=40135, `default_status`='off', `move_bonus`='-80', `event_id`='1921002';
INSERT INTO `zone` SET `id`=136, `name`='[gludio_damage_1]', `type`='damage', `loc_id`=40136, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=137, `name`='[gludio_damage_2]', `type`='damage', `loc_id`=40137, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=138, `name`='[dion_slow_1]', `type`='swamp', `loc_id`=40138, `default_status`='off', `move_bonus`='-80', `event_id`='2022001';
INSERT INTO `zone` SET `id`=139, `name`='[dion_slow_2]', `type`='swamp', `loc_id`=40139, `default_status`='off', `move_bonus`='-80', `event_id`='2022002';
INSERT INTO `zone` SET `id`=140, `name`='[dion_damage_1]', `type`='damage', `loc_id`=40140, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=141, `name`='[dion_damage_2]', `type`='damage', `loc_id`=40141, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=142, `name`='[giran_slow_1]', `type`='swamp', `loc_id`=40142, `default_status`='off', `move_bonus`='-80', `event_id`='2322001';
INSERT INTO `zone` SET `id`=143, `name`='[giran_slow_2]', `type`='swamp', `loc_id`=40143, `default_status`='off', `move_bonus`='-80', `event_id`='2322002';
INSERT INTO `zone` SET `id`=144, `name`='[giran_damage_1]', `type`='damage', `loc_id`=40144, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=145, `name`='[giran_damage_2]', `type`='damage', `loc_id`=40145, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=146, `name`='[oren_slow_1]', `type`='swamp', `loc_id`=40146, `default_status`='off', `move_bonus`='-80', `event_id`='2219001';
INSERT INTO `zone` SET `id`=147, `name`='[oren_slow_2]', `type`='swamp', `loc_id`=40147, `default_status`='off', `move_bonus`='-80', `event_id`='2219002';
INSERT INTO `zone` SET `id`=148, `name`='[oren_damage_1]', `type`='damage', `loc_id`=40148, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=149, `name`='[oren_damage_2]', `type`='damage', `loc_id`=40149, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=150, `name`='[innadrile_slow_1]', `type`='swamp', `loc_id`=40150, `default_status`='off', `move_bonus`='-80', `event_id`='2325001';
INSERT INTO `zone` SET `id`=151, `name`='[innadrile_slow_2]', `type`='swamp', `loc_id`=40151, `default_status`='off', `move_bonus`='-80', `event_id`='2325002';
INSERT INTO `zone` SET `id`=152, `name`='[innadrile_damage_1]', `type`='damage', `loc_id`=40152, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=153, `name`='[innadrile_damage_2]', `type`='damage', `loc_id`=40153, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=154, `name`='[godad_slow_1]', `type`='swamp', `loc_id`=40154, `default_status`='off', `move_bonus`='-80', `event_id`='2416001';
INSERT INTO `zone` SET `id`=155, `name`='[godad_slow_2]', `type`='swamp', `loc_id`=40155, `default_status`='off', `move_bonus`='-80', `event_id`='2416002';
INSERT INTO `zone` SET `id`=156, `name`='[godad_damage_1]', `type`='damage', `loc_id`=40156, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=157, `name`='[godad_damage_2]', `type`='damage', `loc_id`=40157, `default_status`='off', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=158, `name`='[fireswamp_1]', `type`='poison', `loc_id`=40158, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=159, `name`='[fireswamp_2]', `type`='poison', `loc_id`=40159, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=160, `name`='[fireswamp_3]', `type`='poison', `loc_id`=40160, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=161, `name`='[fireswamp_4]', `type`='poison', `loc_id`=40161, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=162, `name`='[fireswamp_5]', `type`='poison', `loc_id`=40162, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=163, `name`='[fireswamp_6]', `type`='poison', `loc_id`=40163, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=164, `name`='[fireswamp_7]', `type`='poison', `loc_id`=40164, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=165, `name`='[fireswamp_8]', `type`='poison', `loc_id`=40165, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=166, `name`='[fireswamp_9]', `type`='poison', `loc_id`=40166, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=167, `name`='[fireswamp_10]', `type`='poison', `loc_id`=40167, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=168, `name`='[fireswamp_11]', `type`='poison', `loc_id`=40168, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=169, `name`='[fireswamp_12]', `type`='poison', `loc_id`=40169, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=170, `name`='[fireswamp_13]', `type`='poison', `loc_id`=40170, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=171, `name`='[fireswamp_14]', `type`='poison', `loc_id`=40171, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=172, `name`='[fireswamp_15]', `type`='poison', `loc_id`=40172, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='30', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=173, `name`='[devil_damage_001]', `type`='damage', `loc_id`=40173, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=174, `name`='[devil_damage_002]', `type`='damage', `loc_id`=40174, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=175, `name`='[devil_damage_003]', `type`='damage', `loc_id`=40175, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=176, `name`='[devil_damage_004]', `type`='damage', `loc_id`=40176, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=177, `name`='[devil_damage_005]', `type`='damage', `loc_id`=40177, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=178, `name`='[devil_damage_006]', `type`='damage', `loc_id`=40178, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=179, `name`='[devil_damage_007]', `type`='damage', `loc_id`=40179, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=180, `name`='[devil_damage_008]', `type`='damage', `loc_id`=40180, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=181, `name`='[devil_damage_009]', `type`='damage', `loc_id`=40181, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=182, `name`='[devil_damage_010]', `type`='damage', `loc_id`=40182, `target`='pc', `default_status`='off', `initial_delay`='1', `on_time`='600', `off_time`='60', `random_time`='20', `damage_on_hp`='200', `damage_on_mp`='0', `message_no`='686';
INSERT INTO `zone` SET `id`=183, `name`='[devil_poison_001]', `type`='poison', `loc_id`=40183, `target`='pc', `skill_name`='4148;4', `skill_prob`='30', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=184, `name`='[devil_poison_002]', `type`='poison', `loc_id`=40184, `target`='pc', `skill_name`='4148;4', `skill_prob`='30', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=185, `name`='[devil_poison_003]', `type`='poison', `loc_id`=40185, `target`='pc', `skill_name`='4148;4', `skill_prob`='30', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15';
INSERT INTO `zone` SET `id`=186, `name`='[devil_slow_8]', `type`='swamp', `loc_id`=40186, `target`='pc', `unit_tick`='9', `default_status`='off', `initial_delay`='1', `on_time`='120', `off_time`='5', `random_time`='15', `move_bonus`='-80';
INSERT INTO `zone` SET `id`=187, `name`='[devil_healing_zone]', `type`='mother_tree', `loc_id`=40187, `affect_race`='all', `hp_regen_bonus`='2', `mp_regen_bonus`='1', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=188, `name`='[conquerors_weakness]', `type`='poison', `loc_id`=40188, `target`='pc', `skill_name`='4146;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=189, `name`='[conquerors_pddown]', `type`='poison', `loc_id`=40189, `target`='pc', `skill_name`='4145;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=190, `name`='[conquerors_poison]', `type`='poison', `loc_id`=40190, `target`='pc', `skill_name`='4148;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=191, `name`='[conquerors_nonheal]', `type`='poison', `loc_id`=40191, `target`='pc', `skill_name`='4624;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=192, `name`='[lords_weakness]', `type`='poison', `loc_id`=40192, `target`='pc', `skill_name`='4146;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=193, `name`='[lords_pddown]', `type`='poison', `loc_id`=40193, `target`='pc', `skill_name`='4145;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=194, `name`='[lords_poison]', `type`='poison', `loc_id`=40194, `target`='pc', `skill_name`='4148;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=195, `name`='[lords_nonheal]', `type`='poison', `loc_id`=40195, `target`='pc', `skill_name`='4624;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=196, `name`='[savants_weakness]', `type`='poison', `loc_id`=40196, `target`='pc', `skill_name`='4146;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=197, `name`='[savants_pddown]', `type`='poison', `loc_id`=40197, `target`='pc', `skill_name`='4145;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=198, `name`='[savants_poison]', `type`='poison', `loc_id`=40198, `target`='pc', `skill_name`='4148;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=199, `name`='[savants_nonheal]', `type`='poison', `loc_id`=40199, `target`='pc', `skill_name`='4624;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=200, `name`='[magistrates_weakness]', `type`='poison', `loc_id`=40200, `target`='pc', `skill_name`='4146;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=201, `name`='[magistrates_pddown]', `type`='poison', `loc_id`=40201, `target`='pc', `skill_name`='4145;3', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=202, `name`='[magistrates_poison]', `type`='poison', `loc_id`=40202, `target`='pc', `skill_name`='4148;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=203, `name`='[magistrates_nonheal]', `type`='poison', `loc_id`=40203, `target`='pc', `skill_name`='4624;9', `skill_prob`='70', `unit_tick`='9', `default_status`='off';
INSERT INTO `zone` SET `id`=204, `name`='[spa_11]', `type`='poison', `loc_id`=40204, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='100', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=205, `name`='[spa_21]', `type`='poison', `loc_id`=40205, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=206, `name`='[spa_31]', `type`='poison', `loc_id`=40206, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=207, `name`='[spa_41]', `type`='poison', `loc_id`=40207, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=208, `name`='[spa_51]', `type`='poison', `loc_id`=40208, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=209, `name`='[spa_61]', `type`='poison', `loc_id`=40209, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=210, `name`='[spa_71]', `type`='poison', `loc_id`=40210, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=211, `name`='[spa_81]', `type`='poison', `loc_id`=40211, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=212, `name`='[spa_91]', `type`='poison', `loc_id`=40212, `target`='only_pc', `skill_name`='4559;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=213, `name`='[spa_12]', `type`='instant_skill', `loc_id`=40213, `target`='pc', `skill_name`='4557;1', `skill_prob`='100', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=214, `name`='[spa_22]', `type`='instant_skill', `loc_id`=40214, `target`='pc', `skill_name`='4556;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=215, `name`='[spa_32]', `type`='instant_skill', `loc_id`=40215, `target`='pc', `skill_name`='4558;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=216, `name`='[spa_42]', `type`='instant_skill', `loc_id`=40216, `target`='pc', `skill_name`='4556;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=217, `name`='[spa_52]', `type`='instant_skill', `loc_id`=40217, `target`='pc', `skill_name`='4558;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=218, `name`='[spa_62]', `type`='instant_skill', `loc_id`=40218, `target`='pc', `skill_name`='4557;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=219, `name`='[spa_72]', `type`='instant_skill', `loc_id`=40219, `target`='pc', `skill_name`='4556;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=220, `name`='[spa_82]', `type`='instant_skill', `loc_id`=40220, `target`='pc', `skill_name`='4558;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=221, `name`='[spa_92]', `type`='instant_skill', `loc_id`=40221, `target`='pc', `skill_name`='4557;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=222, `name`='[spa_102]', `type`='instant_skill', `loc_id`=40222, `target`='pc', `skill_name`='4557;1', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=223, `name`='[godad_fire_zone1]', `type`='poison', `loc_id`=40223, `target`='pc', `skill_name`='4150;5', `skill_prob`='100', `unit_tick`='5', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=224, `name`='[godad_fire_zone2]', `type`='poison', `loc_id`=40224, `target`='pc', `skill_name`='4150;5', `skill_prob`='100', `unit_tick`='5', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=225, `name`='[godad_fire_zone3]', `type`='poison', `loc_id`=40225, `target`='pc', `skill_name`='4150;5', `skill_prob`='100', `unit_tick`='5', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=226, `name`='[godad_fire_zone4]', `type`='poison', `loc_id`=40226, `target`='pc', `skill_name`='4150;5', `skill_prob`='100', `unit_tick`='5', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=227, `name`='[fire_pot_god_hp_regen1]', `type`='poison', `loc_id`=40227, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=228, `name`='[fire_pot_god_hp_regen2]', `type`='poison', `loc_id`=40228, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=229, `name`='[fire_pot_god_hp_regen3]', `type`='poison', `loc_id`=40229, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=230, `name`='[fire_pot_god_hp_regen4]', `type`='poison', `loc_id`=40230, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=231, `name`='[fire_pot_god_hp_regen5]', `type`='poison', `loc_id`=40231, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=232, `name`='[fire_pot_god_hp_regen6]', `type`='poison', `loc_id`=40232, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=233, `name`='[fire_pot_god_hp_regen7]', `type`='poison', `loc_id`=40233, `target`='npc', `skill_name`='4698;7', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=234, `name`='[godad_swamp_monster1]', `type`='poison', `loc_id`=40234, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=235, `name`='[godad_swamp_monster2]', `type`='poison', `loc_id`=40235, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=236, `name`='[godad_swamp_monster3]', `type`='poison', `loc_id`=40236, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=237, `name`='[godad_swamp_monster4]', `type`='poison', `loc_id`=40237, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=238, `name`='[godad_swamp_monster5]', `type`='poison', `loc_id`=40238, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=239, `name`='[godad_swamp_monster6]', `type`='poison', `loc_id`=40239, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=240, `name`='[godad_swamp_monster7]', `type`='poison', `loc_id`=40240, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=241, `name`='[godad_swamp_monster8]', `type`='poison', `loc_id`=40241, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=242, `name`='[godad_swamp_monster9]', `type`='poison', `loc_id`=40242, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=243, `name`='[godad_swamp_monster10]', `type`='poison', `loc_id`=40243, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=244, `name`='[godad_swamp_monster11]', `type`='poison', `loc_id`=40244, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=245, `name`='[godad_swamp_monster12]', `type`='poison', `loc_id`=40245, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=246, `name`='[godad_swamp_monster13]', `type`='poison', `loc_id`=40246, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=247, `name`='[godad_swamp_monster14]', `type`='poison', `loc_id`=40247, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=248, `name`='[godad_swamp_monster15]', `type`='poison', `loc_id`=40248, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=249, `name`='[godad_swamp_monster16]', `type`='poison', `loc_id`=40249, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=250, `name`='[godad_swamp_monster17]', `type`='poison', `loc_id`=40250, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=251, `name`='[godad_swamp_monster18]', `type`='poison', `loc_id`=40251, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=252, `name`='[godad_swamp_monster19]', `type`='poison', `loc_id`=40252, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=253, `name`='[godad_swamp_monster20]', `type`='poison', `loc_id`=40253, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=254, `name`='[godad_swamp_monster21]', `type`='poison', `loc_id`=40254, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=255, `name`='[godad_swamp_monster22]', `type`='poison', `loc_id`=40255, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=256, `name`='[godad_swamp_monster23]', `type`='poison', `loc_id`=40256, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=257, `name`='[godad_swamp_monster24]', `type`='poison', `loc_id`=40257, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=258, `name`='[godad_swamp_monster25]', `type`='poison', `loc_id`=40258, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=259, `name`='[godad_swamp_monster26]', `type`='poison', `loc_id`=40259, `target`='npc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=260, `name`='[godad_swamp_pc1]', `type`='poison', `loc_id`=40260, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=261, `name`='[godad_swamp_pc2]', `type`='poison', `loc_id`=40261, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=262, `name`='[godad_swamp_pc3]', `type`='poison', `loc_id`=40262, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=263, `name`='[godad_swamp_pc4]', `type`='poison', `loc_id`=40263, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=264, `name`='[godad_swamp_pc5]', `type`='poison', `loc_id`=40264, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=265, `name`='[godad_swamp_pc6]', `type`='poison', `loc_id`=40265, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=266, `name`='[godad_swamp_pc7]', `type`='poison', `loc_id`=40266, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=267, `name`='[godad_swamp_pc8]', `type`='poison', `loc_id`=40267, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=268, `name`='[godad_swamp_pc9]', `type`='poison', `loc_id`=40268, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=269, `name`='[godad_swamp_pc10]', `type`='poison', `loc_id`=40269, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=270, `name`='[godad_swamp_pc11]', `type`='poison', `loc_id`=40270, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=271, `name`='[godad_swamp_pc12]', `type`='poison', `loc_id`=40271, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=272, `name`='[godad_swamp_pc13]', `type`='poison', `loc_id`=40272, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=273, `name`='[godad_swamp_pc14]', `type`='poison', `loc_id`=40273, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=274, `name`='[godad_swamp_pc15]', `type`='poison', `loc_id`=40274, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=275, `name`='[godad_swamp_pc16]', `type`='poison', `loc_id`=40275, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=276, `name`='[godad_swamp_pc17]', `type`='poison', `loc_id`=40276, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=277, `name`='[godad_swamp_pc18]', `type`='poison', `loc_id`=40277, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=278, `name`='[godad_swamp_pc19]', `type`='poison', `loc_id`=40278, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=279, `name`='[godad_swamp_pc20]', `type`='poison', `loc_id`=40279, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=280, `name`='[godad_swamp_pcr21]', `type`='poison', `loc_id`=40280, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=281, `name`='[godad_swamp_pc22]', `type`='poison', `loc_id`=40281, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=282, `name`='[godad_swamp_pc23]', `type`='poison', `loc_id`=40282, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=283, `name`='[godad_swamp_pc24]', `type`='poison', `loc_id`=40283, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=284, `name`='[godad_swamp_pc25]', `type`='poison', `loc_id`=40284, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=285, `name`='[godad_swamp_pc26]', `type`='poison', `loc_id`=40285, `target`='pc', `skill_prob`='70', `unit_tick`='9', `default_status`='on', `initial_delay`='1', `skill_action_type`='serial';
INSERT INTO `zone` SET `id`=286, `name`='[balakas_lava_1]', `type`='poison', `loc_id`=40286, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=287, `name`='[balakas_lava_2]', `type`='poison', `loc_id`=40287, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=288, `name`='[balakas_lava_3]', `type`='poison', `loc_id`=40288, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=289, `name`='[balakas_lava_4]', `type`='poison', `loc_id`=40289, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=290, `name`='[balakas_lava_5]', `type`='poison', `loc_id`=40290, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=291, `name`='[balakas_lava_6]', `type`='poison', `loc_id`=40291, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=292, `name`='[balakas_lava_7]', `type`='poison', `loc_id`=40292, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=293, `name`='[balakas_lava_8]', `type`='poison', `loc_id`=40293, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=294, `name`='[balakas_lava_9]', `type`='poison', `loc_id`=40294, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=295, `name`='[balakas_lava_10]', `type`='poison', `loc_id`=40295, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=296, `name`='[balakas_lava_11]', `type`='poison', `loc_id`=40296, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=297, `name`='[balakas_lava_12]', `type`='poison', `loc_id`=40297, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=298, `name`='[balakas_lava_13]', `type`='poison', `loc_id`=40298, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=299, `name`='[balakas_lava_14]', `type`='poison', `loc_id`=40299, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=300, `name`='[balakas_lava_15]', `type`='poison', `loc_id`=40300, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=301, `name`='[balakas_lava_16]', `type`='poison', `loc_id`=40301, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=302, `name`='[balakas_lava_17]', `type`='poison', `loc_id`=40302, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=303, `name`='[balakas_lava_18]', `type`='poison', `loc_id`=40303, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=304, `name`='[balakas_lava_19]', `type`='poison', `loc_id`=40304, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=305, `name`='[balakas_lava_20]', `type`='poison', `loc_id`=40305, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=306, `name`='[balakas_lava_21]', `type`='poison', `loc_id`=40306, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=307, `name`='[balakas_lava_22]', `type`='poison', `loc_id`=40307, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=308, `name`='[balakas_lava_23]', `type`='poison', `loc_id`=40308, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=309, `name`='[balakas_lava_24]', `type`='poison', `loc_id`=40309, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=310, `name`='[balakas_lava_25]', `type`='poison', `loc_id`=40310, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=311, `name`='[balakas_lava_26]', `type`='poison', `loc_id`=40311, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=312, `name`='[balakas_lava_27]', `type`='poison', `loc_id`=40312, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=313, `name`='[balakas_lava_28]', `type`='poison', `loc_id`=40313, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=314, `name`='[balakas_lava_29]', `type`='poison', `loc_id`=40314, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=315, `name`='[balakas_lava_30]', `type`='poison', `loc_id`=40315, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=316, `name`='[balakas_lava_31]', `type`='poison', `loc_id`=40316, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=317, `name`='[balakas_lava_32]', `type`='poison', `loc_id`=40317, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=318, `name`='[balakas_lava_33]', `type`='poison', `loc_id`=40318, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=319, `name`='[balakas_lava_34]', `type`='poison', `loc_id`=40319, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=320, `name`='[balakas_lava_35]', `type`='poison', `loc_id`=40320, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=321, `name`='[balakas_lava_36]', `type`='poison', `loc_id`=40321, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=322, `name`='[balakas_lava_37]', `type`='poison', `loc_id`=40322, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=323, `name`='[balakas_lava_38]', `type`='poison', `loc_id`=40323, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=324, `name`='[balakas_lava_39]', `type`='poison', `loc_id`=40324, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=325, `name`='[balakas_lava_40]', `type`='poison', `loc_id`=40325, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=326, `name`='[balakas_lava_41]', `type`='poison', `loc_id`=40326, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=327, `name`='[balakas_lava_42]', `type`='poison', `loc_id`=40327, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=328, `name`='[balakas_lava_43]', `type`='poison', `loc_id`=40328, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=329, `name`='[balakas_lava_44]', `type`='poison', `loc_id`=40329, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=330, `name`='[balakas_lava_45]', `type`='poison', `loc_id`=40330, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=331, `name`='[balakas_lava_46]', `type`='poison', `loc_id`=40331, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=332, `name`='[balakas_lava_47]', `type`='poison', `loc_id`=40332, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=333, `name`='[balakas_lava_48]', `type`='poison', `loc_id`=40333, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=334, `name`='[balakas_lava_49]', `type`='poison', `loc_id`=40334, `target`='pc', `skill_name`='4150;1', `skill_prob`='50', `unit_tick`='9', `default_status`='on', `initial_delay`='1';
INSERT INTO `zone` SET `id`=335, `name`='[zaken_no_restart]', `type`='no_restart', `loc_id`=40335, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=1335, `name`='[zaken_sunlight_room]', `type`='no_restart', `loc_id`=41335, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=336, `name`='[antaras_no_restart]', `type`='no_restart', `loc_id`=40336, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=337, `name`='[baium_no_restart]', `type`='no_restart', `loc_id`=40337, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=338, `name`='[anakimNlilith]', `type`='no_restart', `loc_id`=40338, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=339, `name`='[fire_no_restart1]', `type`='no_restart', `loc_id`=40339, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=340, `name`='[fire_no_restart2]', `type`='no_restart', `loc_id`=40340, `restart_time`='600', `restart_allowed_time`='10min';
INSERT INTO `zone` SET `id`=341, `name`='[royal_rush_no_restart1]', `type`='no_restart', `loc_id`=40341, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=342, `name`='[royal_rush_no_restart2]', `type`='no_restart', `loc_id`=40342, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=343, `name`='[royal_rush_no_restart3]', `type`='no_restart', `loc_id`=40343, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=344, `name`='[royal_rush_no_restart4]', `type`='no_restart', `loc_id`=40344, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=345, `name`='[space_of_dimension_no_restart1]', `type`='no_restart', `loc_id`=40345, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=346, `name`='[space_of_dimension_no_restart2]', `type`='no_restart', `loc_id`=40346, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=347, `name`='[space_of_dimension_no_restart3]', `type`='no_restart', `loc_id`=40347, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=348, `name`='[space_of_dimension_no_restart4]', `type`='no_restart', `loc_id`=40348, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=349, `name`='[space_of_dimension_no_restart5]', `type`='no_restart', `loc_id`=40349, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=350, `name`='[space_of_dimension_no_restart6]', `type`='no_restart', `loc_id`=40350, `default_status`='on', `restart_time`='0';
INSERT INTO `zone` SET `id`=351, `name`='[balakas_no_restart]', `type`='no_restart', `loc_id`=40351, `restart_time`='600';
INSERT INTO `zone` SET `id`=352, `name`='[ssq_no_res_1720_01]', `type`='no_restart', `loc_id`=40352, `restart_time`='0';
INSERT INTO `zone` SET `id`=353, `name`='[ssq_no_res_1720_02]', `type`='no_restart', `loc_id`=40353, `restart_time`='0';
INSERT INTO `zone` SET `id`=354, `name`='[ssq_no_res_1720_03]', `type`='no_restart', `loc_id`=40354, `restart_time`='0';
INSERT INTO `zone` SET `id`=355, `name`='[ssq_no_res_1720_04]', `type`='no_restart', `loc_id`=40355, `restart_time`='0';
INSERT INTO `zone` SET `id`=356, `name`='[ssq_no_res_1720_05]', `type`='no_restart', `loc_id`=40356, `restart_time`='0';
INSERT INTO `zone` SET `id`=357, `name`='[ssq_no_res_1720_06]', `type`='no_restart', `loc_id`=40357, `restart_time`='0';
INSERT INTO `zone` SET `id`=358, `name`='[ssq_no_res_1720_07]', `type`='no_restart', `loc_id`=40358, `restart_time`='0';
INSERT INTO `zone` SET `id`=359, `name`='[ssq_no_res_1720_08]', `type`='no_restart', `loc_id`=40359, `restart_time`='0';
INSERT INTO `zone` SET `id`=360, `name`='[ssq_no_res_1720_09]', `type`='no_restart', `loc_id`=40360, `restart_time`='0';
INSERT INTO `zone` SET `id`=361, `name`='[ssq_no_res_1720_10]', `type`='no_restart', `loc_id`=40361, `restart_time`='0';
INSERT INTO `zone` SET `id`=362, `name`='[ssq_no_res_1720_11]', `type`='no_restart', `loc_id`=40362, `restart_time`='0';
INSERT INTO `zone` SET `id`=363, `name`='[ssq_no_res_1720_12]', `type`='no_restart', `loc_id`=40363, `restart_time`='0';
INSERT INTO `zone` SET `id`=364, `name`='[ssq_no_res_1720_13]', `type`='no_restart', `loc_id`=40364, `restart_time`='0';
INSERT INTO `zone` SET `id`=365, `name`='[ssq_no_res_1720_14]', `type`='no_restart', `loc_id`=40365, `restart_time`='0';
INSERT INTO `zone` SET `id`=366, `name`='[ssq_no_res_1720_15]', `type`='no_restart', `loc_id`=40366, `restart_time`='0';
INSERT INTO `zone` SET `id`=367, `name`='[ssq_no_res_1721_01]', `type`='no_restart', `loc_id`=40367, `restart_time`='0';
INSERT INTO `zone` SET `id`=368, `name`='[ssq_no_res_1721_02]', `type`='no_restart', `loc_id`=40368, `restart_time`='0';
INSERT INTO `zone` SET `id`=369, `name`='[ssq_no_res_1721_03]', `type`='no_restart', `loc_id`=40369, `restart_time`='0';
INSERT INTO `zone` SET `id`=370, `name`='[ssq_no_res_1721_04]', `type`='no_restart', `loc_id`=40370, `restart_time`='0';
INSERT INTO `zone` SET `id`=371, `name`='[ssq_no_res_1721_05]', `type`='no_restart', `loc_id`=40371, `restart_time`='0';
INSERT INTO `zone` SET `id`=372, `name`='[ssq_no_res_1721_06]', `type`='no_restart', `loc_id`=40372, `restart_time`='0';
INSERT INTO `zone` SET `id`=373, `name`='[ssq_no_res_1721_07]', `type`='no_restart', `loc_id`=40373, `restart_time`='0';
INSERT INTO `zone` SET `id`=374, `name`='[ssq_no_res_1721_08]', `type`='no_restart', `loc_id`=40374, `restart_time`='0';
INSERT INTO `zone` SET `id`=375, `name`='[ssq_no_res_1721_09]', `type`='no_restart', `loc_id`=40375, `restart_time`='0';
INSERT INTO `zone` SET `id`=376, `name`='[ssq_no_res_1721_10]', `type`='no_restart', `loc_id`=40376, `restart_time`='0';
INSERT INTO `zone` SET `id`=377, `name`='[ssq_no_res_1721_11]', `type`='no_restart', `loc_id`=40377, `restart_time`='0';
INSERT INTO `zone` SET `id`=378, `name`='[ssq_no_res_1721_12]', `type`='no_restart', `loc_id`=40378, `restart_time`='0';
INSERT INTO `zone` SET `id`=379, `name`='[ssq_no_res_1721_13]', `type`='no_restart', `loc_id`=40379, `restart_time`='0';
INSERT INTO `zone` SET `id`=380, `name`='[ssq_no_res_1721_14]', `type`='no_restart', `loc_id`=40380, `restart_time`='0';
INSERT INTO `zone` SET `id`=381, `name`='[ssq_no_res_1721_15]', `type`='no_restart', `loc_id`=40381, `restart_time`='0';
INSERT INTO `zone` SET `id`=382, `name`='[ssq_main_event_17_20_01]', `type`='mother_tree', `loc_id`=40382, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='2', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=383, `name`='[ssq_main_event_17_20_04]', `type`='mother_tree', `loc_id`=40383, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='2', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=384, `name`='[ssq_main_event_17_20_05]', `type`='mother_tree', `loc_id`=40384, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='3', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=385, `name`='[ssq_main_event_17_20_03]', `type`='mother_tree', `loc_id`=40385, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='3', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=386, `name`='[ssq_main_event_17_20_02]', `type`='mother_tree', `loc_id`=40386, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='4', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=387, `name`='[ssq_main_event_17_21_01]', `type`='mother_tree', `loc_id`=40387, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='2', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=388, `name`='[ssq_main_event_17_21_02]', `type`='mother_tree', `loc_id`=40388, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='2', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=389, `name`='[ssq_main_event_17_21_05]', `type`='mother_tree', `loc_id`=40389, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='3', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=390, `name`='[ssq_main_event_17_21_03]', `type`='mother_tree', `loc_id`=40390, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='3', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=391, `name`='[ssq_main_event_17_21_04]', `type`='mother_tree', `loc_id`=40391, `affect_race`='all', `hp_regen_bonus`='0', `mp_regen_bonus`='4', `entering_message_no`='1054', `leaving_message_no`='1055';
INSERT INTO `zone` SET `id`=392, `name`='[ssq_main_pvp_1720_01]', `type`='ssq_zone', `loc_id`=40392, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=393, `name`='[ssq_main_pvp_1720_02]', `type`='ssq_zone', `loc_id`=40393, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=394, `name`='[ssq_main_pvp_1720_03]', `type`='ssq_zone', `loc_id`=40394, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=395, `name`='[ssq_main_pvp_1720_04]', `type`='ssq_zone', `loc_id`=40395, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=396, `name`='[ssq_main_pvp_1720_05]', `type`='ssq_zone', `loc_id`=40396, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=397, `name`='[ssq_main_pvp_1720_06]', `type`='ssq_zone', `loc_id`=40397, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=398, `name`='[ssq_main_pvp_1720_07]', `type`='ssq_zone', `loc_id`=40398, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=399, `name`='[ssq_main_pvp_1720_08]', `type`='ssq_zone', `loc_id`=40399, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=400, `name`='[ssq_main_pvp_1720_09]', `type`='ssq_zone', `loc_id`=40400, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=401, `name`='[ssq_main_pvp_1720_10]', `type`='ssq_zone', `loc_id`=40401, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=402, `name`='[ssq_main_pvp_1720_11]', `type`='ssq_zone', `loc_id`=40402, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=403, `name`='[ssq_main_pvp_1720_12]', `type`='ssq_zone', `loc_id`=40403, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=404, `name`='[ssq_main_pvp_1720_13]', `type`='ssq_zone', `loc_id`=40404, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=405, `name`='[ssq_main_pvp_1720_14]', `type`='ssq_zone', `loc_id`=40405, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=406, `name`='[ssq_main_pvp_1720_15]', `type`='ssq_zone', `loc_id`=40406, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=407, `name`='[ssq_main_pvp_1721_01]', `type`='ssq_zone', `loc_id`=40407, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=408, `name`='[ssq_main_pvp_1721_02]', `type`='ssq_zone', `loc_id`=40408, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=409, `name`='[ssq_main_pvp_1721_03]', `type`='ssq_zone', `loc_id`=40409, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=410, `name`='[ssq_main_pvp_1721_04]', `type`='ssq_zone', `loc_id`=40410, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=411, `name`='[ssq_main_pvp_1721_05]', `type`='ssq_zone', `loc_id`=40411, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=412, `name`='[ssq_main_pvp_1721_06]', `type`='ssq_zone', `loc_id`=40412, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=413, `name`='[ssq_main_pvp_1721_07]', `type`='ssq_zone', `loc_id`=40413, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=414, `name`='[ssq_main_pvp_1721_08]', `type`='ssq_zone', `loc_id`=40414, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=415, `name`='[ssq_main_pvp_1721_09]', `type`='ssq_zone', `loc_id`=40415, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=416, `name`='[ssq_main_pvp_1721_10]', `type`='ssq_zone', `loc_id`=40416, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=417, `name`='[ssq_main_pvp_1721_11]', `type`='ssq_zone', `loc_id`=40417, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=418, `name`='[ssq_main_pvp_1721_12]', `type`='ssq_zone', `loc_id`=40418, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=419, `name`='[ssq_main_pvp_1721_13]', `type`='ssq_zone', `loc_id`=40419, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=420, `name`='[ssq_main_pvp_1721_14]', `type`='ssq_zone', `loc_id`=40420, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=421, `name`='[ssq_main_pvp_1721_15]', `type`='ssq_zone', `loc_id`=40421, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=422, `name`='[ssq_main_pvp_1721_16]', `type`='ssq_zone', `loc_id`=40422, `exp_penalty_per`='25', `item_drop`='off';
INSERT INTO `zone` SET `id`=423, `name`='[space_of_dimension_ssq1]', `type`='ssq_zone', `loc_id`=40423, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=424, `name`='[space_of_dimension_ssq2]', `type`='ssq_zone', `loc_id`=40424, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=425, `name`='[space_of_dimension_ssq3]', `type`='ssq_zone', `loc_id`=40425, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=426, `name`='[space_of_dimension_ssq4]', `type`='ssq_zone', `loc_id`=40426, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=427, `name`='[space_of_dimension_ssq5]', `type`='ssq_zone', `loc_id`=40427, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=428, `name`='[space_of_dimension_ssq6]', `type`='ssq_zone', `loc_id`=40428, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=429, `name`='[royal_rush_ssq1]', `type`='ssq_zone', `loc_id`=40429, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=430, `name`='[royal_rush_ssq2]', `type`='ssq_zone', `loc_id`=40430, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=431, `name`='[royal_rush_ssq3]', `type`='ssq_zone', `loc_id`=40431, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=432, `name`='[royal_rush_ssq4]', `type`='ssq_zone', `loc_id`=40432, `default_status`='on', `exp_penalty_per`='100', `item_drop`='off';
INSERT INTO `zone` SET `id`=433, `name`='[ssq_peace_1720_01]', `type`='peace_zone', `loc_id`=40433, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=434, `name`='[ssq_peace_1720_02]', `type`='peace_zone', `loc_id`=40434, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=435, `name`='[ssq_peace_1720_03]', `type`='peace_zone', `loc_id`=40435, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=436, `name`='[ssq_peace_1721_01]', `type`='peace_zone', `loc_id`=40436, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=437, `name`='[ssq_peace_1721_02]', `type`='peace_zone', `loc_id`=40437, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=438, `name`='[ssq_peace_1721_03]', `type`='peace_zone', `loc_id`=40438, `blocked_actions`='private store;private workshop;';
INSERT INTO `zone` SET `id`=439, `name`='[space_of_dimension_peace1]', `type`='peace_zone', `loc_id`=40439, `default_status`='on';
INSERT INTO `zone` SET `id`=440, `name`='[toi_no_landing]', `type`='no_landing', `loc_id`=55000, `default_status`='on';
INSERT INTO `zone` SET `id`=441, `name`='[valakas_no_landing]', `type`='no_landing', `loc_id`=55001, `default_status`='on';
INSERT INTO `zone` SET `id`=442, `name`='[olymp_no_landing1]', `type`='no_landing', `loc_id`=50123, `default_status`='on';

# Town zones
INSERT INTO `zone` SET `id`=1002, `index`=1, `taxById`=1, `name`='Talking Island', `type`='Town', `loc_id`=41002, `restart_point`='41102', `PKrestart_point`='41152';
INSERT INTO `zone` SET `id`=1003, `index`=2, `taxById`=4, `name`='Elven Village', `type`='Town', `loc_id`=41003, `restart_point`='41103', `PKrestart_point`='41153';
INSERT INTO `zone` SET `id`=1001, `index`=3, `taxById`=4, `name`='Dark Elven Village', `type`='Town', `loc_id`=41001, `restart_point`='41101', `PKrestart_point`='41151';
INSERT INTO `zone` SET `id`=1004, `index`=4, `taxById`=9, `name`='Orc Village', `type`='Town', `loc_id`=41004, `restart_point`='41104', `PKrestart_point`='41154';
INSERT INTO `zone` SET `id`=1006, `index`=5, `taxById`=9, `name`='Dwarven Village', `type`='Town', `loc_id`=41006, `restart_point`='41106', `PKrestart_point`='41156';
INSERT INTO `zone` SET `id`=1007, `index`=6, `taxById`=1, `name`='Town of Gludio', `type`='Town', `loc_id`=41007, `restart_point`='41107', `PKrestart_point`='41157';
INSERT INTO `zone` SET `id`=1005, `index`=7, `taxById`=1, `name`='Gludin Village', `type`='Town', `loc_id`=41005, `restart_point`='41105', `PKrestart_point`='41155';
INSERT INTO `zone` SET `id`=1008, `index`=8, `taxById`=2, `name`='Town of Dion', `type`='Town', `loc_id`=41008, `restart_point`='41108', `PKrestart_point`='41158';
INSERT INTO `zone` SET `id`=1009, `index`=9, `taxById`=3, `name`='Town of Giran', `type`='Town', `loc_id`=41009, `restart_point`='41109', `PKrestart_point`='41159';
INSERT INTO `zone` SET `id`=1010, `index`=10, `taxById`=4, `name`='Town of Oren', `type`='Town', `loc_id`=41010, `restart_point`='41110', `PKrestart_point`='41160';
INSERT INTO `zone` SET `id`=1012, `index`=11, `taxById`=5, `name`='Town of Aden', `type`='Town', `loc_id`=41012, `restart_point`='41112', `PKrestart_point`='41162';
INSERT INTO `zone` SET `id`=1011, `index`=12, `taxById`=5, `name`='Hunters Village', `type`='Town', `loc_id`=41011, `restart_point`='41111', `PKrestart_point`='41161';
INSERT INTO `zone` SET `id`=1015, `index`=13, `taxById`=6, `name`='Heine', `type`='Town', `loc_id`=41015, `restart_point`='41115', `PKrestart_point`='41165';
INSERT INTO `zone` SET `id`=1014, `index`=14, `taxById`=8, `name`='Rune Township', `type`='Town', `loc_id`=41014, `restart_point`='41114', `PKrestart_point`='41164';
INSERT INTO `zone` SET `id`=1013, `index`=15, `taxById`=7, `name`='Town of Goddard', `type`='Town', `loc_id`=41013, `restart_point`='41113', `PKrestart_point`='41163';
INSERT INTO `zone` SET `id`=1018, `index`=16, `taxById`=9, `name`='Town of Schuttgart', `type`='Town', `loc_id`=41018, `restart_point`='41118', `PKrestart_point`='41168';
INSERT INTO `zone` SET `id`=2109, `index`=18, `taxById`=8, `name`='Primeval Isle', `type`='Town', `loc_id`=9012, `restart_point`=9014;
INSERT INTO `zone` SET `id`=1016, `index`=19, `taxById`=2, `name`='Floran Village', `type`='Town', `loc_id`=41016, `restart_point`='41116', `PKrestart_point`='41166';

# Primeval Peace zone
INSERT INTO `zone` SET `id`=2110, `name`='[dino_peace]', `type`='peace_zone', `loc_id`=9013;

# Schuttgart Peace
INSERT INTO `zone` SET `id`=4600, `name`='[schuttgart_town_peace]', `type`='peace_zone', `loc_id`=41019;

# Castle zones
INSERT INTO `zone` SET `id`=1201, `index`=1, `taxById`=1, `name`='Gludio', `type`='Castle', `loc_id`=41201, `restart_point`='46501';
INSERT INTO `zone` SET `id`=1202, `index`=2, `taxById`=2, `name`='Dion', `type`='Castle', `loc_id`=41202, `restart_point`='46502';
INSERT INTO `zone` SET `id`=1203, `index`=3, `taxById`=3, `name`='Giran', `type`='Castle', `loc_id`=41203, `restart_point`='46503';
INSERT INTO `zone` SET `id`=1204, `index`=4, `taxById`=4, `name`='Oren', `type`='Castle', `loc_id`=41204, `restart_point`='46504';
INSERT INTO `zone` SET `id`=1205, `index`=5, `taxById`=5, `name`='Aden', `type`='Castle', `loc_id`=41205, `restart_point`='46505';
INSERT INTO `zone` SET `id`=1206, `index`=6, `taxById`=6, `name`='Innadril', `type`='Castle', `loc_id`=41206, `restart_point`='46506';
INSERT INTO `zone` SET `id`=1207, `index`=7, `taxById`=7, `name`='Goddard', `type`='Castle', `loc_id`=41207, `restart_point`='46507';
INSERT INTO `zone` SET `id`=1208, `index`=8, `taxById`=8, `name`='Rune', `type`='Castle', `loc_id`=41208, `restart_point`='46508';
INSERT INTO `zone` SET `id`=1209, `index`=9, `taxById`=9, `name`='Schuttgart', `type`='Castle', `loc_id`=41209, `restart_point`='46509';

# ClanHall zones
INSERT INTO `zone` SET `id`=2001, `index`=21, `name`='[partisan_agit001]', `type`='ClanHall', `loc_id`=42001, `restart_point`='45001';
INSERT INTO `zone` SET `id`=2002, `index`=22, `name`='[gludio_castle_agit_001]', `type`='ClanHall', `loc_id`=42002, `restart_point`='45002';
INSERT INTO `zone` SET `id`=2003, `index`=23, `name`='[gludio_castle_agit_002]', `type`='ClanHall', `loc_id`=42003, `restart_point`='45003';
INSERT INTO `zone` SET `id`=2004, `index`=24, `name`='[gludio_castle_agit_003]', `type`='ClanHall', `loc_id`=42004, `restart_point`='45004';
INSERT INTO `zone` SET `id`=2005, `index`=25, `name`='[gludio_castle_agit_004]', `type`='ClanHall', `loc_id`=42005, `restart_point`='45005';
INSERT INTO `zone` SET `id`=2006, `index`=26, `name`='[gludin_agit_001]', `type`='ClanHall', `loc_id`=42006, `restart_point`='45006';
INSERT INTO `zone` SET `id`=2007, `index`=27, `name`='[gludin_agit_002]', `type`='ClanHall', `loc_id`=42007, `restart_point`='45007';
INSERT INTO `zone` SET `id`=2008, `index`=28, `name`='[gludin_agit_003]', `type`='ClanHall', `loc_id`=42008, `restart_point`='45008';
INSERT INTO `zone` SET `id`=2009, `index`=29, `name`='[gludin_agit_004]', `type`='ClanHall', `loc_id`=42009, `restart_point`='45009';
INSERT INTO `zone` SET `id`=2010, `index`=30, `name`='[gludin_agit_005]', `type`='ClanHall', `loc_id`=42010, `restart_point`='45010';
INSERT INTO `zone` SET `id`=2011, `index`=31, `name`='[dion_castle_agit_001]', `type`='ClanHall', `loc_id`=42011, `restart_point`='45011';
INSERT INTO `zone` SET `id`=2012, `index`=32, `name`='[dion_castle_agit_002]', `type`='ClanHall', `loc_id`=42012, `restart_point`='45012';
INSERT INTO `zone` SET `id`=2013, `index`=33, `name`='[dion_castle_agit_003]', `type`='ClanHall', `loc_id`=42013, `restart_point`='45013';
INSERT INTO `zone` SET `id`=2014, `index`=34, `name`='[devastated_castle_001]', `type`='ClanHall', `loc_id`=42014, `restart_point`='45014';
INSERT INTO `zone` SET `id`=2015, `index`=35, `name`='[bandits_stronghold_001]', `type`='ClanHall', `loc_id`=42015, `restart_point`='45015';
INSERT INTO `zone` SET `id`=2016, `index`=36, `name`='[aden_castle_agit_001]', `type`='ClanHall', `loc_id`=42016, `restart_point`='45016';
INSERT INTO `zone` SET `id`=2017, `index`=37, `name`='[aden_castle_agit_002]', `type`='ClanHall', `loc_id`=42017, `restart_point`='45017';
INSERT INTO `zone` SET `id`=2018, `index`=38, `name`='[aden_castle_agit_003]', `type`='ClanHall', `loc_id`=42018, `restart_point`='45018';
INSERT INTO `zone` SET `id`=2019, `index`=39, `name`='[aden_castle_agit_004]', `type`='ClanHall', `loc_id`=42019, `restart_point`='45019';
INSERT INTO `zone` SET `id`=2020, `index`=40, `name`='[aden_castle_agit_005]', `type`='ClanHall', `loc_id`=42020, `restart_point`='45020';
INSERT INTO `zone` SET `id`=2021, `index`=41, `name`='[aden_castle_agit_006]', `type`='ClanHall', `loc_id`=42021, `restart_point`='45021';
INSERT INTO `zone` SET `id`=2022, `index`=42, `name`='[giran_castle_agit_001]', `type`='ClanHall', `loc_id`=42022, `restart_point`='45022';
INSERT INTO `zone` SET `id`=2023, `index`=43, `name`='[giran_castle_agit_002]', `type`='ClanHall', `loc_id`=42023, `restart_point`='45023';
INSERT INTO `zone` SET `id`=2024, `index`=44, `name`='[giran_castle_agit_003]', `type`='ClanHall', `loc_id`=42024, `restart_point`='45024';
INSERT INTO `zone` SET `id`=2025, `index`=45, `name`='[giran_castle_agit_004]', `type`='ClanHall', `loc_id`=42025, `restart_point`='45025';
INSERT INTO `zone` SET `id`=2026, `index`=46, `name`='[giran_castle_agit_005]', `type`='ClanHall', `loc_id`=42026, `restart_point`='45026';
INSERT INTO `zone` SET `id`=2027, `index`=47, `name`='[godad_castle_agit_001]', `type`='ClanHall', `loc_id`=42027, `restart_point`='45027';
INSERT INTO `zone` SET `id`=2028, `index`=48, `name`='[godad_castle_agit_002]', `type`='ClanHall', `loc_id`=42028, `restart_point`='45028';
INSERT INTO `zone` SET `id`=2029, `index`=49, `name`='[godad_castle_agit_003]', `type`='ClanHall', `loc_id`=42029, `restart_point`='45029';
INSERT INTO `zone` SET `id`=2030, `index`=50, `name`='[godad_castle_agit_004]', `type`='ClanHall', `loc_id`=42030, `restart_point`='45030';
INSERT INTO `zone` SET `id`=2031, `index`=51, `name`='[rune_castle_agit_001]', `type`='ClanHall', `loc_id`=42031, `restart_point`='45031';
INSERT INTO `zone` SET `id`=2032, `index`=52, `name`='[rune_castle_agit_002]', `type`='ClanHall', `loc_id`=42032, `restart_point`='45032';
INSERT INTO `zone` SET `id`=2033, `index`=53, `name`='[rune_castle_agit_003]', `type`='ClanHall', `loc_id`=42033, `restart_point`='45033';
INSERT INTO `zone` SET `id`=2034, `index`=54, `name`='[rune_castle_agit_004]', `type`='ClanHall', `loc_id`=42034, `restart_point`='45034';
INSERT INTO `zone` SET `id`=2035, `index`=55, `name`='[rune_castle_agit_005]', `type`='ClanHall', `loc_id`=42035, `restart_point`='45035';
INSERT INTO `zone` SET `id`=2036, `index`=56, `name`='[rune_castle_agit_006]', `type`='ClanHall', `loc_id`=42036, `restart_point`='45036';
INSERT INTO `zone` SET `id`=2037, `index`=57, `name`='[rune_castle_agit_007]', `type`='ClanHall', `loc_id`=42037, `restart_point`='45037';
INSERT INTO `zone` SET `id`=2038, `index`=58, `name`='[schuttgart_castle_agit_001]', `type`='ClanHall', `loc_id`=42038, `restart_point`='45038';
INSERT INTO `zone` SET `id`=2039, `index`=59, `name`='[schuttgart_castle_agit_002]', `type`='ClanHall', `loc_id`=42039, `restart_point`='45039';
INSERT INTO `zone` SET `id`=2040, `index`=60, `name`='[schuttgart_castle_agit_003]', `type`='ClanHall', `loc_id`=42040, `restart_point`='45040';
INSERT INTO `zone` SET `id`=2041, `index`=61, `name`='[schuttgart_castle_agit_004]', `type`='ClanHall', `loc_id`=42041, `restart_point`='45041';
INSERT INTO `zone` SET `id`=2042, `index`=62, `name`='[hot_springs_guild_house]', `type`='ClanHall', `loc_id`=42042, `restart_point`='45042';
INSERT INTO `zone` SET `id`=2043, `index`=63, `name`='[beast_farm]', `type`='ClanHall', `loc_id`=42043, `restart_point`='45043';
INSERT INTO `zone` SET `id`=2044, `index`=64, `name`='[fortress_of_the_dead]', `type`='ClanHall', `loc_id`=42044, `restart_point`='45044';
INSERT INTO `zone` SET `id`=2045, `index`=21, `name`='[partisan_agit002]', `type`='ClanHall', `loc_id`=43001, `restart_point`='45001';
INSERT INTO `zone` SET `id`=2046, `index`=21, `name`='[partisan_agit003]', `type`='ClanHall', `loc_id`=44001, `restart_point`='45001';
INSERT INTO `zone` SET `id`=2047, `index`=34, `name`='[devastated_castle_002]', `type`='ClanHall', `loc_id`=43014, `restart_point`='45014';
INSERT INTO `zone` SET `id`=2048, `index`=35, `name`='[bandits_stronghold_002]', `type`='ClanHall', `loc_id`=43015, `restart_point`='45015';
INSERT INTO `zone` SET `id`=2049, `index`=35, `name`='[bandits_stronghold_003]', `type`='ClanHall', `loc_id`=44015, `restart_point`='45015';

# Fortress zones
INSERT INTO `zone` SET `id`=1301, `index`=116, `name`='Antharas Fortress - Border', `type`='Fortress', `loc_id`=41301, `restart_point`='46601';
INSERT INTO `zone` SET `id`=1302, `index`=104, `name`='Valley Fortress', `type`='Fortress', `loc_id`=41302, `restart_point`='46602';
INSERT INTO `zone` SET `id`=1303, `index`=112, `name`='Floran Fortress - Border', `type`='Fortress', `loc_id`=41303, `restart_point`='46603';
INSERT INTO `zone` SET `id`=1304, `index`=119, `name`='Aaru Fortress - Border', `type`='Fortress', `loc_id`=41304, `restart_point`='46604';
INSERT INTO `zone` SET `id`=1305, `index`=102, `name`='Southern Fortress', `type`='Fortress', `loc_id`=41305, `restart_point`='46605';
INSERT INTO `zone` SET `id`=1306, `index`=113, `name`='Cloud Mountain Fortress - Border', `type`='Fortress', `loc_id`=41306, `restart_point`='46606';
INSERT INTO `zone` SET `id`=1307, `index`=106, `name`='Narsell Fortress', `type`='Fortress', `loc_id`=41307, `restart_point`='46607';
INSERT INTO `zone` SET `id`=1308, `index`=120, `name`='Demon Fortress - Border', `type`='Fortress', `loc_id`=413081, `restart_point`='46608';
INSERT INTO `zone` SET `id`=1309, `index`=110, `name`='Marshland Fortress', `type`='Fortress', `loc_id`=413091, `restart_point`='46609';
INSERT INTO `zone` SET `id`=1310, `index`=121, `name`='Monastic Fortress - Border', `type`='Fortress', `loc_id`=41310, `restart_point`='46610';
INSERT INTO `zone` SET `id`=1311, `index`=114, `name`='Tanor Fortress - Border', `type`='Fortress', `loc_id`=41311, `restart_point`='46611';
INSERT INTO `zone` SET `id`=1312, `index`=118, `name`='Hunters Fortress - Border', `type`='Fortress', `loc_id`=41312, `restart_point`='46612';
INSERT INTO `zone` SET `id`=1313, `index`=115, `name`='Dragonspine Fortress - Border', `type`='Fortress', `loc_id`=41313, `restart_point`='46613';
INSERT INTO `zone` SET `id`=1314, `index`=103, `name`='Hive Fortress', `type`='Fortress', `loc_id`=41314, `restart_point`='46614';
INSERT INTO `zone` SET `id`=1315, `index`=108, `name`='White Sands Fortress', `type`='Fortress', `loc_id`=41315, `restart_point`='46615';
INSERT INTO `zone` SET `id`=1316, `index`=101, `name`='Shanty Fortress', `type`='Fortress', `loc_id`=41316, `restart_point`='46616';
INSERT INTO `zone` SET `id`=1317, `index`=107, `name`='Bayou Fortress', `type`='Fortress', `loc_id`=41317, `restart_point`='46617';
INSERT INTO `zone` SET `id`=1318, `index`=105, `name`='Ivory Fortress', `type`='Fortress', `loc_id`=41318, `restart_point`='46618';
INSERT INTO `zone` SET `id`=1319, `index`=109, `name`='Borderland Fortress', `type`='Fortress', `loc_id`=41319, `restart_point`='46619';
INSERT INTO `zone` SET `id`=1320, `index`=111, `name`='Archaic Fortress', `type`='Fortress', `loc_id`=41320, `restart_point`='46620';
INSERT INTO `zone` SET `id`=1321, `index`=117, `name`='Western Fortress - Border', `type`='Fortress', `loc_id`=41321, `restart_point`='46621';

# Olympiad zones
INSERT INTO `zone` SET `id`=3001, `index`=1, name='Olympiad', type='OlympiadStadia', loc_id=50001, `restart_point`=50101;
INSERT INTO `zone` SET `id`=3002, `index`=2, name='Olympiad', type='OlympiadStadia', loc_id=50002, `restart_point`=50102;
INSERT INTO `zone` SET `id`=3003, `index`=3, name='Olympiad', type='OlympiadStadia', loc_id=50003, `restart_point`=50103;
INSERT INTO `zone` SET `id`=3004, `index`=4, name='Olympiad', type='OlympiadStadia', loc_id=50004, `restart_point`=50104;
INSERT INTO `zone` SET `id`=3005, `index`=5, name='Olympiad', type='OlympiadStadia', loc_id=50005, `restart_point`=50105;
INSERT INTO `zone` SET `id`=3006, `index`=6, name='Olympiad', type='OlympiadStadia', loc_id=50006, `restart_point`=50106;
INSERT INTO `zone` SET `id`=3007, `index`=7, name='Olympiad', type='OlympiadStadia', loc_id=50007, `restart_point`=50107;
INSERT INTO `zone` SET `id`=3008, `index`=8, name='Olympiad', type='OlympiadStadia', loc_id=50008, `restart_point`=50108;
INSERT INTO `zone` SET `id`=3009, `index`=9, name='Olympiad', type='OlympiadStadia', loc_id=50009, `restart_point`=50109;
INSERT INTO `zone` SET `id`=3010, `index`=10, name='Olympiad', type='OlympiadStadia', loc_id=50010, `restart_point`=50110;
INSERT INTO `zone` SET `id`=3011, `index`=11, name='Olympiad', type='OlympiadStadia', loc_id=50011, `restart_point`=50111;
INSERT INTO `zone` SET `id`=3012, `index`=12, name='Olympiad', type='OlympiadStadia', loc_id=50012, `restart_point`=50112;
INSERT INTO `zone` SET `id`=3013, `index`=13, name='Olympiad', type='OlympiadStadia', loc_id=50013, `restart_point`=50113;
INSERT INTO `zone` SET `id`=3014, `index`=14, name='Olympiad', type='OlympiadStadia', loc_id=50014, `restart_point`=50114;
INSERT INTO `zone` SET `id`=3015, `index`=15, name='Olympiad', type='OlympiadStadia', loc_id=50015, `restart_point`=50115;
INSERT INTO `zone` SET `id`=3016, `index`=16, name='Olympiad', type='OlympiadStadia', loc_id=50016, `restart_point`=50116;
INSERT INTO `zone` SET `id`=3017, `index`=17, name='Olympiad', type='OlympiadStadia', loc_id=50017, `restart_point`=50117;
INSERT INTO `zone` SET `id`=3018, `index`=18, name='Olympiad', type='OlympiadStadia', loc_id=50018, `restart_point`=50118;
INSERT INTO `zone` SET `id`=3019, `index`=19, name='Olympiad', type='OlympiadStadia', loc_id=50019, `restart_point`=50119;
INSERT INTO `zone` SET `id`=3020, `index`=20, name='Olympiad', type='OlympiadStadia', loc_id=50020, `restart_point`=50120;
INSERT INTO `zone` SET `id`=3021, `index`=21, name='Olympiad', type='OlympiadStadia', loc_id=50021, `restart_point`=50121;
INSERT INTO `zone` SET `id`=3022, `index`=22, name='Olympiad', type='OlympiadStadia', loc_id=50022, `restart_point`=50122;

# Water zones
INSERT INTO `zone` SET `id`=4000, name='[16_21_water1]', type='water', loc_id=60000;
INSERT INTO `zone` SET `id`=4001, name='[16_22_water1]', type='water', loc_id=60001;
INSERT INTO `zone` SET `id`=4002, name='[16_23_water1]', type='water', loc_id=60002;
INSERT INTO `zone` SET `id`=4003, name='[16_24_water1]', type='water', loc_id=60003;
INSERT INTO `zone` SET `id`=4004, name='[16_25_water1]', type='water', loc_id=60004;
INSERT INTO `zone` SET `id`=4005, name='[17_20_water1]', type='water', loc_id=60005;
INSERT INTO `zone` SET `id`=4006, name='[17_20_water2]', type='water', loc_id=60006;
INSERT INTO `zone` SET `id`=4007, name='[17_20_water3]', type='water', loc_id=60007;
INSERT INTO `zone` SET `id`=4008, name='[17_20_water4]', type='water', loc_id=60008;
INSERT INTO `zone` SET `id`=4009, name='[17_21_water1]', type='water', loc_id=60009;
INSERT INTO `zone` SET `id`=4010, name='[17_21_water2]', type='water', loc_id=60010;
INSERT INTO `zone` SET `id`=4011, name='[17_21_water3]', type='water', loc_id=60011;
INSERT INTO `zone` SET `id`=4012, name='[17_21_water4]', type='water', loc_id=60012;
INSERT INTO `zone` SET `id`=4013, name='[17_21_water5]', type='water', loc_id=60013;
INSERT INTO `zone` SET `id`=4014, name='[17_22_water1]', type='water', loc_id=60014;
INSERT INTO `zone` SET `id`=4015, name='[17_22_water2]', type='water', loc_id=60015;
INSERT INTO `zone` SET `id`=4016, name='[17_23_water1]', type='water', loc_id=60016;
INSERT INTO `zone` SET `id`=4017, name='[17_24_water1]', type='water', loc_id=60017;
INSERT INTO `zone` SET `id`=4018, name='[17_25_water1]', type='water', loc_id=60018;
INSERT INTO `zone` SET `id`=4019, name='[18_14_water1]', type='water', loc_id=60019;
INSERT INTO `zone` SET `id`=4020, name='[18_19_water1]', type='water', loc_id=60020;
INSERT INTO `zone` SET `id`=4021, name='[18_19_water2]', type='water', loc_id=60021;
INSERT INTO `zone` SET `id`=4022, name='[18_20_water1]', type='water', loc_id=60022;
INSERT INTO `zone` SET `id`=4023, name='[18_20_water2]', type='water', loc_id=60023;
INSERT INTO `zone` SET `id`=4024, name='[18_20_water3]', type='water', loc_id=60024;
INSERT INTO `zone` SET `id`=4025, name='[18_21_water1]', type='water', loc_id=60025;
INSERT INTO `zone` SET `id`=4026, name='[18_21_water1]', type='water', loc_id=60026;
INSERT INTO `zone` SET `id`=4027, name='[18_22_water1]', type='water', loc_id=60027;
INSERT INTO `zone` SET `id`=4028, name='[18_22_water2]', type='water', loc_id=60028;
INSERT INTO `zone` SET `id`=4029, name='[18_23_water1]', type='water', loc_id=60029;
INSERT INTO `zone` SET `id`=4030, name='[18_23_water2]', type='water', loc_id=60030;
INSERT INTO `zone` SET `id`=4031, name='[18_23_water3]', type='water', loc_id=60031;
INSERT INTO `zone` SET `id`=4032, name='[18_23_water4]', type='water', loc_id=60032;
INSERT INTO `zone` SET `id`=4033, name='[18_24_water1]', type='water', loc_id=60033;
INSERT INTO `zone` SET `id`=4034, name='[18_24_water2]', type='water', loc_id=60034;
INSERT INTO `zone` SET `id`=4035, name='[18_24_water3]', type='water', loc_id=60035;
INSERT INTO `zone` SET `id`=4036, name='[18_24_water4]', type='water', loc_id=60036;
INSERT INTO `zone` SET `id`=4037, name='[18_24_water5]', type='water', loc_id=60037;
INSERT INTO `zone` SET `id`=4038, name='[18_24_water6]', type='water', loc_id=60038;
INSERT INTO `zone` SET `id`=4039, name='[18_24_water7]', type='water', loc_id=60039;
INSERT INTO `zone` SET `id`=4040, name='[18_24_water8]', type='water', loc_id=60040;
INSERT INTO `zone` SET `id`=4041, name='[18_25_water1]', type='water', loc_id=60041;
INSERT INTO `zone` SET `id`=4042, name='[19_14_water1]', type='water', loc_id=60042;
INSERT INTO `zone` SET `id`=4043, name='[19_15_water1]', type='water', loc_id=60043;
INSERT INTO `zone` SET `id`=4044, name='[19_18_water1]', type='water', loc_id=60044;
INSERT INTO `zone` SET `id`=4045, name='[19_18_water2]', type='water', loc_id=60045;
INSERT INTO `zone` SET `id`=4046, name='[19_18_water3]', type='water', loc_id=60046;
INSERT INTO `zone` SET `id`=4047, name='[19_18_water4]', type='water', loc_id=60047;
INSERT INTO `zone` SET `id`=4048, name='[19_19_water1]', type='water', loc_id=60048;
INSERT INTO `zone` SET `id`=4049, name='[19_19_water2]', type='water', loc_id=60049;
INSERT INTO `zone` SET `id`=4050, name='[19_20_water1]', type='water', loc_id=60050;
INSERT INTO `zone` SET `id`=4051, name='[19_20_water2]', type='water', loc_id=60051;
INSERT INTO `zone` SET `id`=4052, name='[19_20_water3]', type='water', loc_id=60052;
INSERT INTO `zone` SET `id`=4053, name='[19_21_water1]', type='water', loc_id=60053;
INSERT INTO `zone` SET `id`=4054, name='[19_24_water1]', type='water', loc_id=60054;
INSERT INTO `zone` SET `id`=4055, name='[19_24_water2]', type='water', loc_id=60055;
INSERT INTO `zone` SET `id`=4056, name='[19_25_water1]', type='water', loc_id=60056;
INSERT INTO `zone` SET `id`=4057, name='[20_15_water1]', type='water', loc_id=60057;
INSERT INTO `zone` SET `id`=4058, name='[20_18_water1]', type='water', loc_id=60058;
INSERT INTO `zone` SET `id`=4059, name='[20_19_water1]', type='water', loc_id=60059;
INSERT INTO `zone` SET `id`=4060, name='[20_20_water1]', type='water', loc_id=60060;
INSERT INTO `zone` SET `id`=4061, name='[20_20_water2]', type='water', loc_id=60061;
INSERT INTO `zone` SET `id`=4062, name='[20_20_water3]', type='water', loc_id=60062;
INSERT INTO `zone` SET `id`=4063, name='[20_21_water1]', type='water', loc_id=60063;
INSERT INTO `zone` SET `id`=4064, name='[20_22_water1]', type='water', loc_id=60064;
INSERT INTO `zone` SET `id`=4065, name='[20_23_water1]', type='water', loc_id=60065;
INSERT INTO `zone` SET `id`=4066, name='[20_24_water1]', type='water', loc_id=60066;
INSERT INTO `zone` SET `id`=4067, name='[21_18_water1]', type='water', loc_id=60067;
INSERT INTO `zone` SET `id`=4068, name='[21_19_water1]', type='water', loc_id=60068;
INSERT INTO `zone` SET `id`=4069, name='[21_20_water1]', type='water', loc_id=60069;
INSERT INTO `zone` SET `id`=4070, name='[21_20_water2]', type='water', loc_id=60070;
INSERT INTO `zone` SET `id`=4071, name='[21_21_water1]', type='water', loc_id=60071;
INSERT INTO `zone` SET `id`=4072, name='[21_21_water2]', type='water', loc_id=60072;
INSERT INTO `zone` SET `id`=4073, name='[21_21_water3]', type='water', loc_id=60073;
INSERT INTO `zone` SET `id`=4074, name='[21_21_water4]', type='water', loc_id=60074;
INSERT INTO `zone` SET `id`=4075, name='[21_21_water5]', type='water', loc_id=60075;
INSERT INTO `zone` SET `id`=4076, name='[21_21_water6]', type='water', loc_id=60076;
INSERT INTO `zone` SET `id`=4077, name='[21_21_water7]', type='water', loc_id=60077;
INSERT INTO `zone` SET `id`=4078, name='[21_22_water1]', type='water', loc_id=60078;
INSERT INTO `zone` SET `id`=4079, name='[21_22_water2]', type='water', loc_id=60079;
INSERT INTO `zone` SET `id`=4080, name='[21_22_water3]', type='water', loc_id=60080;
INSERT INTO `zone` SET `id`=4081, name='[21_23_water1]', type='water', loc_id=60081;
INSERT INTO `zone` SET `id`=4082, name='[21_23_water2]', type='water', loc_id=60082;
INSERT INTO `zone` SET `id`=4083, name='[21_23_water3]', type='water', loc_id=60083;
INSERT INTO `zone` SET `id`=4084, name='[21_23_water4]', type='water', loc_id=60084;
INSERT INTO `zone` SET `id`=4085, name='[21_23_water5]', type='water', loc_id=60085;
INSERT INTO `zone` SET `id`=4086, name='[21_24_water1]', type='water', loc_id=60086;
INSERT INTO `zone` SET `id`=4087, name='[22_18_water1]', type='water', loc_id=60087;
INSERT INTO `zone` SET `id`=4088, name='[22_18_water2]', type='water', loc_id=60088;
INSERT INTO `zone` SET `id`=4089, name='[22_19_water1]', type='water', loc_id=60089;
INSERT INTO `zone` SET `id`=4090, name='[22_20_water1]', type='water', loc_id=60090;
INSERT INTO `zone` SET `id`=4091, name='[22_20_water2]', type='water', loc_id=60091;
INSERT INTO `zone` SET `id`=4092, name='[22_20_water3]', type='water', loc_id=60092;
INSERT INTO `zone` SET `id`=4093, name='[22_20_water4]', type='water', loc_id=60093;
INSERT INTO `zone` SET `id`=4094, name='[22_22_water1]', type='water', loc_id=60094;
INSERT INTO `zone` SET `id`=4095, name='[22_23_water1]', type='water', loc_id=60095;
INSERT INTO `zone` SET `id`=4096, name='[22_23_water2]', type='water', loc_id=60096;
INSERT INTO `zone` SET `id`=4097, name='[22_23_water3]', type='water', loc_id=60097;
INSERT INTO `zone` SET `id`=4098, name='[22_23_water4]', type='water', loc_id=60098;
INSERT INTO `zone` SET `id`=4099, name='[22_23_water5]', type='water', loc_id=60099;
INSERT INTO `zone` SET `id`=4100, name='[22_23_water6]', type='water', loc_id=60100;
INSERT INTO `zone` SET `id`=4101, name='[22_23_water7]', type='water', loc_id=60101;
INSERT INTO `zone` SET `id`=4102, name='[22_23_water8]', type='water', loc_id=60102;
INSERT INTO `zone` SET `id`=4103, name='[22_24_water1]', type='water', loc_id=60103;
INSERT INTO `zone` SET `id`=4104, name='[22_24_water2]', type='water', loc_id=60104;
INSERT INTO `zone` SET `id`=4105, name='[22_24_water3]', type='water', loc_id=60105;
INSERT INTO `zone` SET `id`=4106, name='[22_24_water4]', type='water', loc_id=60106;
INSERT INTO `zone` SET `id`=4107, name='[22_24_water5]', type='water', loc_id=60107;
INSERT INTO `zone` SET `id`=4108, name='[22_24_water6]', type='water', loc_id=60108;
INSERT INTO `zone` SET `id`=4109, name='[22_24_water7]', type='water', loc_id=60109;
INSERT INTO `zone` SET `id`=4110, name='[22_24_water8]', type='water', loc_id=60110;
INSERT INTO `zone` SET `id`=4111, name='[22_24_water9]', type='water', loc_id=60111;
INSERT INTO `zone` SET `id`=4112, name='[22_24_water10]', type='water', loc_id=60112;
INSERT INTO `zone` SET `id`=4113, name='[22_24_water11]', type='water', loc_id=60113;
INSERT INTO `zone` SET `id`=4114, name='[22_24_water12]', type='water', loc_id=60114;
INSERT INTO `zone` SET `id`=4115, name='[22_24_water13]', type='water', loc_id=60115;
INSERT INTO `zone` SET `id`=4116, name='[22_25_water1]', type='water', loc_id=60116;
INSERT INTO `zone` SET `id`=4117, name='[22_25_water2]', type='water', loc_id=60117;
INSERT INTO `zone` SET `id`=4118, name='[22_25_water3]', type='water', loc_id=60118;
INSERT INTO `zone` SET `id`=4119, name='[22_25_water4]', type='water', loc_id=60119;
INSERT INTO `zone` SET `id`=4120, name='[22_25_water5]', type='water', loc_id=60120;
INSERT INTO `zone` SET `id`=4121, name='[22_25_water6]', type='water', loc_id=60121;
INSERT INTO `zone` SET `id`=4122, name='[22_25_water7]', type='water', loc_id=60122;
INSERT INTO `zone` SET `id`=4123, name='[22_25_water8]', type='water', loc_id=60123;
INSERT INTO `zone` SET `id`=4124, name='[22_25_water9]', type='water', loc_id=60124;
INSERT INTO `zone` SET `id`=4125, name='[23_11_water1]', type='water', loc_id=60125;
INSERT INTO `zone` SET `id`=4126, name='[23_12_water1]', type='water', loc_id=60126;
INSERT INTO `zone` SET `id`=4127, name='[23_18_water1]', type='water', loc_id=60127;
INSERT INTO `zone` SET `id`=4128, name='[23_19_water1]', type='water', loc_id=60128;
INSERT INTO `zone` SET `id`=4129, name='[23_20_water1]', type='water', loc_id=60129;
INSERT INTO `zone` SET `id`=4130, name='[23_20_water2]', type='water', loc_id=60130;
INSERT INTO `zone` SET `id`=4131, name='[23_22_water1]', type='water', loc_id=60131;
INSERT INTO `zone` SET `id`=4132, name='[23_22_water2]', type='water', loc_id=60132;
INSERT INTO `zone` SET `id`=4133, name='[23_22_water3]', type='water', loc_id=60133;
INSERT INTO `zone` SET `id`=4134, name='[23_22_water4]', type='water', loc_id=60134;
INSERT INTO `zone` SET `id`=4135, name='[23_22_water5]', type='water', loc_id=60135;
INSERT INTO `zone` SET `id`=4136, name='[23_22_water6]', type='water', loc_id=60136;
INSERT INTO `zone` SET `id`=4137, name='[23_22_water7]', type='water', loc_id=60137;
INSERT INTO `zone` SET `id`=4138, name='[23_23_water1]', type='water', loc_id=60138;
INSERT INTO `zone` SET `id`=4139, name='[23_23_water2]', type='water', loc_id=60139;
INSERT INTO `zone` SET `id`=4140, name='[23_23_water3]', type='water', loc_id=60140;
INSERT INTO `zone` SET `id`=4141, name='[23_23_water4]', type='water', loc_id=60141;
INSERT INTO `zone` SET `id`=4142, name='[23_23_water5]', type='water', loc_id=60142;
INSERT INTO `zone` SET `id`=4143, name='[23_23_water6]', type='water', loc_id=60143;
INSERT INTO `zone` SET `id`=4144, name='[23_23_water7]', type='water', loc_id=60144;
INSERT INTO `zone` SET `id`=4145, name='[23_23_water8]', type='water', loc_id=60145;
INSERT INTO `zone` SET `id`=4146, name='[23_23_water9]', type='water', loc_id=60146;
INSERT INTO `zone` SET `id`=4147, name='[23_24_water1]', type='water', loc_id=60147;
INSERT INTO `zone` SET `id`=4148, name='[23_25_water1]', type='water', loc_id=60148;
INSERT INTO `zone` SET `id`=4149, name='[24_11_water1]', type='water', loc_id=60149;
INSERT INTO `zone` SET `id`=4150, name='[24_12_water1]', type='water', loc_id=60150;
INSERT INTO `zone` SET `id`=4151, name='[24_18_water1]', type='water', loc_id=60151;
INSERT INTO `zone` SET `id`=4152, name='[24_19_water1]', type='water', loc_id=60152;
INSERT INTO `zone` SET `id`=4153, name='[24_20_water1]', type='water', loc_id=60153;
INSERT INTO `zone` SET `id`=4154, name='[24_20_water2]', type='water', loc_id=60154;
INSERT INTO `zone` SET `id`=4155, name='[24_20_water3]', type='water', loc_id=60155;
INSERT INTO `zone` SET `id`=4156, name='[24_21_water1]', type='water', loc_id=60156;
INSERT INTO `zone` SET `id`=4157, name='[25_11_water1]', type='water', loc_id=60157;
INSERT INTO `zone` SET `id`=4158, name='[25_12_water1]', type='water', loc_id=60158;
INSERT INTO `zone` SET `id`=4159, name='[25_12_water2]', type='water', loc_id=60159;
INSERT INTO `zone` SET `id`=4160, name='[25_12_water3]', type='water', loc_id=60160;
INSERT INTO `zone` SET `id`=4161, name='[25_14_water1]', type='water', loc_id=60161;
INSERT INTO `zone` SET `id`=4162, name='[25_14_water2]', type='water', loc_id=60162;
INSERT INTO `zone` SET `id`=4163, name='[25_20_water1]', type='water', loc_id=60163;
INSERT INTO `zone` SET `id`=4164, name='[25_17_water1]', type='water', loc_id=60164;
INSERT INTO `zone` SET `id`=4165, name='[25_17_water2]', type='water', loc_id=60165;
INSERT INTO `zone` SET `id`=4166, name='[20_15_water1]', type='water', loc_id=60166;
INSERT INTO `zone` SET `id`=4167, name='[20_16_water1]', type='water', loc_id=60167;
INSERT INTO `zone` SET `id`=4168, name='[21_15_water1]', type='water', loc_id=60168;
INSERT INTO `zone` SET `id`=4169, name='[21_16_water1]', type='water', loc_id=60169;
INSERT INTO `zone` SET `id`=4170, name='[21_17_water1]', type='water', loc_id=60170;
INSERT INTO `zone` SET `id`=4171, name='[22_16_water1]', type='water', loc_id=60171;
INSERT INTO `zone` SET `id`=4172, name='[22_16_water2]', type='water', loc_id=60172;
INSERT INTO `zone` SET `id`=4173, name='[22_16_water3]', type='water', loc_id=60173;
INSERT INTO `zone` SET `id`=4174, name='[22_16_water4]', type='water', loc_id=60174;
INSERT INTO `zone` SET `id`=4175, name='[22_16_water5]', type='water', loc_id=60175;
INSERT INTO `zone` SET `id`=4176, name='[22_16_water6]', type='water', loc_id=60176;
INSERT INTO `zone` SET `id`=4177, name='[22_16_water7]', type='water', loc_id=60177;
INSERT INTO `zone` SET `id`=4178, name='[22_16_water8]', type='water', loc_id=60178;
INSERT INTO `zone` SET `id`=4179, name='[22_16_water9]', type='water', loc_id=60179;
INSERT INTO `zone` SET `id`=4180, name='[22_16_water10]', type='water', loc_id=60180;
INSERT INTO `zone` SET `id`=4181, name='[22_16_water11]', type='water', loc_id=60181;
INSERT INTO `zone` SET `id`=4182, name='[22_16_water12]', type='water', loc_id=60182;
INSERT INTO `zone` SET `id`=4183, name='[22_16_water13]', type='water', loc_id=60183;
INSERT INTO `zone` SET `id`=4184, name='[22_16_water14]', type='water', loc_id=60184;
INSERT INTO `zone` SET `id`=4185, name='[22_16_water15]', type='water', loc_id=60185;
INSERT INTO `zone` SET `id`=4186, name='[22_16_water16]', type='water', loc_id=60186;
INSERT INTO `zone` SET `id`=4187, name='[22_17_water1]', type='water', loc_id=60187;
INSERT INTO `zone` SET `id`=4188, name='[22_17_water2]', type='water', loc_id=60188;

# siege_residense zones
INSERT INTO `zone` SET `id`=2101, `index`=1, name='[gludio_castle_001]', type='siege_residense', loc_id=46001, restart_point=49001, `default_status`='off';
INSERT INTO `zone` SET `id`=2102, `index`=2, name='[dion_castle_001]', type='siege_residense', loc_id=46002, restart_point=49002, `default_status`='off';
INSERT INTO `zone` SET `id`=2103, `index`=3, name='[giran_castle_001]', type='siege_residense', loc_id=46003, restart_point=49003, `default_status`='off';
INSERT INTO `zone` SET `id`=2104, `index`=4, name='[oren_castle_001]', type='siege_residense', loc_id=46004, restart_point=49004, `default_status`='off';
INSERT INTO `zone` SET `id`=2105, `index`=5, name='[aden_castle_001]', type='siege_residense', loc_id=46005, restart_point=49005, `default_status`='off';
INSERT INTO `zone` SET `id`=2106, `index`=6, name='[innadrile_castle_001]', type='siege_residense', loc_id=46006, restart_point=49006, `default_status`='off';
INSERT INTO `zone` SET `id`=2107, `index`=7, name='[goddard_castle_001]', type='siege_residense', loc_id=46007, restart_point=49007, `default_status`='off';
INSERT INTO `zone` SET `id`=2134, `index`=34, name='[devastated_castle_001]', type='siege_residense', loc_id=42014, restart_point=45014, `default_status`='off';

INSERT INTO `zone` SET `id`=2141, `index`=101, name='[devastated_castle_001]', type='Siege', loc_id=49101, restart_point=46601, `default_status`='off';
INSERT INTO `zone` SET `id`=2142, `index`=102, name='[devastated_castle_001]', type='Siege', loc_id=49102, restart_point=46602, `default_status`='off';
INSERT INTO `zone` SET `id`=2143, `index`=103, name='[devastated_castle_001]', type='Siege', loc_id=49103, restart_point=46603, `default_status`='off';
INSERT INTO `zone` SET `id`=2144, `index`=104, name='[devastated_castle_001]', type='Siege', loc_id=49104, restart_point=46604, `default_status`='off';
INSERT INTO `zone` SET `id`=2145, `index`=105, name='[devastated_castle_001]', type='Siege', loc_id=49105, restart_point=46605, `default_status`='off';
INSERT INTO `zone` SET `id`=2146, `index`=106, name='[devastated_castle_001]', type='Siege', loc_id=49106, restart_point=46606, `default_status`='off';
INSERT INTO `zone` SET `id`=2147, `index`=107, name='[devastated_castle_001]', type='Siege', loc_id=49107, restart_point=46607, `default_status`='off';
INSERT INTO `zone` SET `id`=2148, `index`=108, name='[devastated_castle_001]', type='Siege', loc_id=49108, restart_point=46608, `default_status`='off';
INSERT INTO `zone` SET `id`=2149, `index`=109, name='[devastated_castle_001]', type='Siege', loc_id=49109, restart_point=46609, `default_status`='off';
INSERT INTO `zone` SET `id`=2150, `index`=110, name='[devastated_castle_001]', type='Siege', loc_id=49110, restart_point=46610, `default_status`='off';
INSERT INTO `zone` SET `id`=2151, `index`=111, name='[devastated_castle_001]', type='Siege', loc_id=49111, restart_point=46611, `default_status`='off';
INSERT INTO `zone` SET `id`=2152, `index`=112, name='[devastated_castle_001]', type='Siege', loc_id=49112, restart_point=46612, `default_status`='off';
INSERT INTO `zone` SET `id`=2153, `index`=113, name='[devastated_castle_001]', type='Siege', loc_id=49113, restart_point=46613, `default_status`='off';
INSERT INTO `zone` SET `id`=2154, `index`=114, name='[devastated_castle_001]', type='Siege', loc_id=49114, restart_point=46614, `default_status`='off';
INSERT INTO `zone` SET `id`=2155, `index`=115, name='[devastated_castle_001]', type='Siege', loc_id=49115, restart_point=46615, `default_status`='off';
INSERT INTO `zone` SET `id`=2156, `index`=116, name='[devastated_castle_001]', type='Siege', loc_id=49116, restart_point=46616, `default_status`='off';
INSERT INTO `zone` SET `id`=2157, `index`=117, name='[devastated_castle_001]', type='Siege', loc_id=49117, restart_point=46617, `default_status`='off';
INSERT INTO `zone` SET `id`=2158, `index`=118, name='[devastated_castle_001]', type='Siege', loc_id=49118, restart_point=46618, `default_status`='off';
INSERT INTO `zone` SET `id`=2159, `index`=119, name='[devastated_castle_001]', type='Siege', loc_id=49119, restart_point=46619, `default_status`='off';
INSERT INTO `zone` SET `id`=2160, `index`=120, name='[devastated_castle_001]', type='Siege', loc_id=49120, restart_point=46620, `default_status`='off';
INSERT INTO `zone` SET `id`=2161, `index`=121, name='[devastated_castle_001]', type='Siege', loc_id=49121, restart_point=46621, `default_status`='off';

# Siege field zones
INSERT INTO `zone` SET `id`=2120, `index`=1, name='[gludio_castle_002]', type='Siege', loc_id=47001, restart_point=49001, `default_status`='off';
INSERT INTO `zone` SET `id`=2122, `index`=2, name='[dion_castle_002]', type='Siege', loc_id=47002, restart_point=49002, `default_status`='off';
INSERT INTO `zone` SET `id`=2124, `index`=3, name='[giran_castle_002]', type='Siege', loc_id=47003, restart_point=49003, `default_status`='off';
INSERT INTO `zone` SET `id`=2126, `index`=4, name='[oren_castle_002]', type='Siege', loc_id=47004, restart_point=49004, `default_status`='off';
INSERT INTO `zone` SET `id`=2128, `index`=5, name='[aden_castle_002]', type='Siege', loc_id=47005, restart_point=49005, `default_status`='off';
INSERT INTO `zone` SET `id`=2130, `index`=6, name='[innadrile_castle_002]', type='Siege', loc_id=47006, restart_point=49006, `default_status`='off';
INSERT INTO `zone` SET `id`=2132, `index`=7, name='[goddard_castle_002]', type='Siege', loc_id=47007, restart_point=49007, `default_status`='off';
INSERT INTO `zone` SET `id`=2108, `index`=8, name='[rune_castle_002]', `type`='Siege', `loc_id`=41308, `default_status`='off';
INSERT INTO `zone` SET `id`=2119, `index`=9, name='[schuttgart_castle_002]', `type`='Siege', `loc_id`=41309, `default_status`='off';
INSERT INTO `zone` SET `id`=2135, `index`=34, name='[devastated_castle_002]', type='Siege', loc_id=43014, restart_point=45014, `default_status`='off';

#Ignore Spawn
INSERT INTO `zone` SET `id`=4500, name='[nospawn_3065]', type='no_spawn', loc_id=3066;
INSERT INTO `zone` SET `id`=4501, name='[nospawn_3065]', type='no_spawn', loc_id=3067;
INSERT INTO `zone` SET `id`=4502, name='[nospawn_3065]', type='no_spawn', loc_id=3068;
INSERT INTO `zone` SET `id`=4503, name='[nospawn_3065]', type='no_spawn', loc_id=3069;
INSERT INTO `zone` SET `id`=4504, name='[nospawn_3071]', type='no_spawn', loc_id=3072;
INSERT INTO `zone` SET `id`=4505, name='[nospawn_3071]', type='no_spawn', loc_id=3073;
INSERT INTO `zone` SET `id`=4506, name='[nospawn_3071]', type='no_spawn', loc_id=3074;
INSERT INTO `zone` SET `id`=4507, name='[nospawn_3071]', type='no_spawn', loc_id=3075;
INSERT INTO `zone` SET `id`=4508, name='[nospawn_3071]', type='no_spawn', loc_id=3076;
INSERT INTO `zone` SET `id`=4509, name='[nospawn_3077]', type='no_spawn', loc_id=3078;
INSERT INTO `zone` SET `id`=4510, name='[nospawn_3077]', type='no_spawn', loc_id=3079;
INSERT INTO `zone` SET `id`=4511, name='[nospawn_3077]', type='no_spawn', loc_id=3080;
INSERT INTO `zone` SET `id`=4512, name='[nospawn_3077]', type='no_spawn', loc_id=3081;
INSERT INTO `zone` SET `id`=4513, name='[nospawn_3084]', type='no_spawn', loc_id=3085;
INSERT INTO `zone` SET `id`=4514, name='[nospawn_3084]', type='no_spawn', loc_id=3086;
INSERT INTO `zone` SET `id`=4515, name='[nospawn_3084]', type='no_spawn', loc_id=3087;
INSERT INTO `zone` SET `id`=4516, name='[nospawn_3084]', type='no_spawn', loc_id=3088;
INSERT INTO `zone` SET `id`=4517, name='[nospawn_3084]', type='no_spawn', loc_id=3089;
INSERT INTO `zone` SET `id`=4518, name='[nospawn_3109]', type='no_spawn', loc_id=3110;
INSERT INTO `zone` SET `id`=4519, name='[nospawn_3109]', type='no_spawn', loc_id=3111;
INSERT INTO `zone` SET `id`=4520, name='[nospawn_3109]', type='no_spawn', loc_id=3112;
INSERT INTO `zone` SET `id`=4521, name='[nospawn_3109]', type='no_spawn', loc_id=3113;
INSERT INTO `zone` SET `id`=4522, name='[nospawn_3115]', type='no_spawn', loc_id=3116;
INSERT INTO `zone` SET `id`=4523, name='[nospawn_3115]', type='no_spawn', loc_id=3117;
INSERT INTO `zone` SET `id`=4524, name='[nospawn_3118]', type='no_spawn', loc_id=3119;
INSERT INTO `zone` SET `id`=4525, name='[nospawn_3118]', type='no_spawn', loc_id=3120;
INSERT INTO `zone` SET `id`=4526, name='[nospawn_3118]', type='no_spawn', loc_id=3121;
INSERT INTO `zone` SET `id`=4527, name='[nospawn_3122]', type='no_spawn', loc_id=3123;
INSERT INTO `zone` SET `id`=4528, name='[nospawn_3122]', type='no_spawn', loc_id=3124;
INSERT INTO `zone` SET `id`=4529, name='[nospawn_3122]', type='no_spawn', loc_id=3125;
INSERT INTO `zone` SET `id`=4530, name='[nospawn_3122]', type='no_spawn', loc_id=3126;
INSERT INTO `zone` SET `id`=4531, name='[nospawn_3122]', type='no_spawn', loc_id=3127;
INSERT INTO `zone` SET `id`=4532, name='[nospawn_3122]', type='no_spawn', loc_id=3128;
INSERT INTO `zone` SET `id`=4533, name='[nospawn_3122]', type='no_spawn', loc_id=3129;
INSERT INTO `zone` SET `id`=4534, name='[nospawn_3122]', type='no_spawn', loc_id=3130;
INSERT INTO `zone` SET `id`=4535, name='[nospawn_3131]', type='no_spawn', loc_id=3132;
INSERT INTO `zone` SET `id`=4536, name='[nospawn_3131]', type='no_spawn', loc_id=3133;
INSERT INTO `zone` SET `id`=4537, name='[nospawn_3134]', type='no_spawn', loc_id=3135;
INSERT INTO `zone` SET `id`=4538, name='[nospawn_3134]', type='no_spawn', loc_id=3136;
INSERT INTO `zone` SET `id`=4539, name='[nospawn_3138]', type='no_spawn', loc_id=3139;
INSERT INTO `zone` SET `id`=4540, name='[nospawn_3138]', type='no_spawn', loc_id=3140;
INSERT INTO `zone` SET `id`=4541, name='[nospawn_3138]', type='no_spawn', loc_id=3141;
INSERT INTO `zone` SET `id`=4542, name='[nospawn_3138]', type='no_spawn', loc_id=3142;
INSERT INTO `zone` SET `id`=4543, name='[nospawn_3138]', type='no_spawn', loc_id=3143;
INSERT INTO `zone` SET `id`=4544, name='[nospawn_4218]', type='no_spawn', loc_id=4219;
INSERT INTO `zone` SET `id`=4545, name='[nospawn_4222]', type='no_spawn', loc_id=4223;
INSERT INTO `zone` SET `id`=4546, name='[nospawn_4224]', type='no_spawn', loc_id=4225;
INSERT INTO `zone` SET `id`=4547, name='[nospawn_4226]', type='no_spawn', loc_id=4227;
INSERT INTO `zone` SET `id`=4548, name='[nospawn_4228]', type='no_spawn', loc_id=4229;
INSERT INTO `zone` SET `id`=4549, name='[nospawn_4230]', type='no_spawn', loc_id=4231;
INSERT INTO `zone` SET `id`=4550, name='[nospawn_4232]', type='no_spawn', loc_id=4233;
INSERT INTO `zone` SET `id`=4551, name='[nospawn_4234]', type='no_spawn', loc_id=4235;
INSERT INTO `zone` SET `id`=4552, name='[nospawn_4237]', type='no_spawn', loc_id=4238;
INSERT INTO `zone` SET `id`=4553, name='[nospawn_4243]', type='no_spawn', loc_id=4244;
INSERT INTO `zone` SET `id`=4554, name='[nospawn_4243]', type='no_spawn', loc_id=4245;
INSERT INTO `zone` SET `id`=4555, name='[nospawn_4243]', type='no_spawn', loc_id=4246;
INSERT INTO `zone` SET `id`=4556, name='[nospawn_4252]', type='no_spawn', loc_id=4253;
INSERT INTO `zone` SET `id`=4557, name='[nospawn_4255]', type='no_spawn', loc_id=4256;
INSERT INTO `zone` SET `id`=4558, name='[nospawn_4261]', type='no_spawn', loc_id=4262;
INSERT INTO `zone` SET `id`=4559, name='[nospawn_4263]', type='no_spawn', loc_id=4264;
INSERT INTO `zone` SET `id`=4560, name='[nospawn_4265]', type='no_spawn', loc_id=4266;
INSERT INTO `zone` SET `id`=4562, name='[nospawn_12170]', type='no_spawn', loc_id=12170;
INSERT INTO `zone` SET `id`=4563, name='[nospawn_12171]', type='no_spawn', loc_id=12171;
INSERT INTO `zone` SET `id`=4564, name='[nospawn_12172]', type='no_spawn', loc_id=12172;

# Оффшор зона для Гиран Харбора
replace into zone set id=500014, `index`=500014, name='[offshore_giran_harbor]', type='offshore', loc_id=80004, restart_point='80015', PKrestart_point='41455', `default_status`='off';

# Мирная зона рядом с Гиран Харбором
replace into zone set id=500023, `index`=500023, name='[peace_giran_harbor_altr]', type='peace_zone', loc_id=80013, `default_status`='off';

# неторговая зона в Гиран Харборе возле ГК
replace into zone set id=500024, `index`=500024, name='[peace_giran_harbor_altr]', type='dummy', loc_id=80014, blocked_actions='private store;private workshop;', `default_status`='off';